commit baf248a74462a405a537c96039bc5353c53f003d
Author: Paolo Borelli <pborelli@gnome.org>
Date:   2012-04-05

    Release 3.4.1

M	NEWS
M	configure.ac

commit af46a41474a4f70493268fd23544266efb96be5b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-02

    chart: Fix directory size shown in tooltip

    A typo introduced in commit b6642cd2d4e99fe.

    https://bugzilla.gnome.org/show_bug.cgi?id=673359

M	src/baobab-chart.c

commit e1d65b82e38532bb66c33c28ebb57d1903cee98f
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-03-31

    [l10n] Updated Indonesian translation

M	po/id.po

commit 4818869614887d42ebb72ed85c009b02afa36079
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-03-29

    Updated Arabic translation

M	po/ar.po

commit 5e08166844c15fef39a2b03a95b983a760b9407f
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-03-29

    Updated French doc translation

M	help/fr/fr.po

commit 3f60d28463d1da068e9abd07202ae413f64f31cf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-26

    Release 3.4.0

M	NEWS
M	configure.ac
M	help/sl/sl.po

commit 26f2a80cb8b14ce18b405949c1b47702c113d9c3
Author: Saša Batistič <sasa.batistic@gmail.com>
Date:	2012-03-26

    Updated Slovenian translation

M	help/sl/sl.po

commit 3dbfe321ad9e78d543a79e1793798e7bbaa1f6f2
Author: Saša Batistič <sasa.batistic@gmail.com>
Date:	2012-03-26

    Updated Slovenian translation

M	help/sl/sl.po

commit 04d3a1d6dee0e7175047927df491008f699fe26e
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2012-03-26

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 46d29516b9030bd711d13d9bea3830f95b02c98d
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-03-26

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit a1326d4a108f68187cf1e5bba5aff62486beeb32
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-03-26

    [l10n] Updated Catalan translation

M	po/ca.po

commit 6487166c345f83f1ffbddf2446406d25de39bdca
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-03-25

    [l10n] Updated Italian translation

M	po/it.po

commit 2f82da60061cc6af14fc84fcadab8b9604244fb3
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2012-03-25

    [l10n] Update Japanese translation

M	po/ja.po

commit 08b7ba6e1120deb6ee1a629a41c779e497e135bf
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2012-03-22

    Updated Esperanto translation

M	po/eo.po

commit b86de54e83b28beff473f9ed3f6aca49edaa7856
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2012-03-22

    Updated Esperanto translation

M	po/eo.po

commit 2a8696fa5cf7c8a1096398b3ba4db46481dfe99a
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2012-03-22

    Updated Esperanto translation

M	po/eo.po

commit 7ccc529018c9f1ed8bda655dbe7c3e4c9dfac7f4
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2012-03-21

    Updated Danish translation

M	po/da.po

commit 77bb2a1c5529f6fe2979c618f362dc107a67032d
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-03-21

    Updated Vietnamese translation

M	po/vi.po

commit 63eafb8d865d597d4564a37acb0e299c4632984b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-03-21

    po/vi: import from Damned Lies

M	po/vi.po

commit 40bae6ca9bbafdfa558554cdfc86526c9795b94a
Author: Funda Wang <fundawang@gmail.com>
Date:	2012-03-21

    Updated zh_CN translation.

M	po/zh_CN.po

commit 464e26a0e86375abaa75a489706a6c5f965af0fa
Author: A S Alam <aalam@users.sf.net>
Date:	2012-03-20

    update Punjabi Translation

M	po/pa.po

commit 8a51962176e2f6e42049ff174549ca40548af6f5
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:	2012-03-20

    Malayalam translation updated

M	po/ml.po

commit b6bb188bbd147aa38e60b3aace069ceca7d9a404
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:	2012-03-20

    Add initial Khmer translation

M	po/LINGUAS
A	po/km.po

commit 676312bc8e6b9c0b1fde980df389daf20832a525
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-19

    Release 3.3.4

M	NEWS
M	configure.ac

commit 023bf385971d42fc8a3f42a871b12710877529a1
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-03-18

    Uploaded Ukranian

M	po/uk.po

commit 6bb93b1717cc9acd96e800b23b455856c1682d6f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-03-18

    Updated Lithuanian translation

M	po/lt.po

commit 688afa654e4c0eb3de716f3351a00aba2eb8fba5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-18

    Remove duplicated sentemce.

    https://bugzilla.gnome.org/show_bug.cgi?id=671943

M	help/C/scan-file-system.page

commit b5f7ddfb708df45d2660d53e56ac7576e831b73d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-03-18

    Updated Portuguese translation

M	po/pt.po

commit fdfba8ceaafe9be7ce68b78eb88dc04c34867ac1
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-03-16

    Updated Kannada Translation

M	po/kn.po

commit fdff92996c22650a4ba20036125c5c0eaea3df62
Author: Sasi Bhushan <sasi@swecha.net>
Date:	2012-03-16

    Updated Telugu Translation

M	po/te.po

commit 693bc1b3c9e7ed9606418498b97da98ec16566cf
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-15

    baobab-ringschart: fix visibility of outmost items

    Small errors due to finite precision can sum up and lead to
    a max radius for outmost items slightly bigger than max radius
    of the chart, making those items invisible. Avoid this by using
    the discrete item depth instead.

M	src/baobab-ringschart.c

commit 81fc2fd506fb776bf64002be2a1f87dc77e4f09f
Author: Marek Černocký <marek@manet.cz>
Date:	2012-03-15

    Updated Czech translation

M	po/cs.po

commit c9147aa782abd4aa1f325c239906b4c16e7e7e19
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-15

    baobab-chart: allow to zoom out by clicking on central sector

M	src/baobab-chart.c

commit d724a028d54fea765dda4578a1f30910e77ab1a9
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-13

    baobab-chart: add dummy handler for GDK_SCROLL_SMOOTH

M	configure.ac
M	src/baobab-chart.c

commit 0ed540ba4aef8691ac8ed619e96eeef6fa0f8144
Author: Anita Reitere <nitalynx@gmail.com>
Date:	2012-03-14

    Updated Latvian translation.

M	po/lv.po

commit 1452678cc4bc2747c0998ed54a6f04932c506804
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-03-13

    Updated British English translation

M	po/en_GB.po

commit ac8ccc71bce4f1c456bbd036fb1c97462924e9e9
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2012-03-12

    Fix help link

    yelp-tools help links need / instead of ?
    Update help link for new help page name

    https://bugzilla.gnome.org/show_bug.cgi?id=671955

M	src/baobab-prefs.c
M	src/baobab-utils.c

commit c9209b31d0a49d9e0ac8f085ba4a11b13944c55e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-12

    Small corrections in the Hungarian help translation

M	help/hu/hu.po

commit a10d93d744f352ed37f354438a0a21ec8952ec84
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-12

    Updated Hungarian translation

M	po/hu.po

commit 70867b2032ed368692c90db4bc09492642b615c0
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-03-12

    Finnish translation update from
    http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

M	po/fi.po

commit 23b6f634584598ff73d054dbc1b8fc8949e64379
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2012-03-10

    Updated Persian Translation

M	po/fa.po

commit 026c1f18376c8664410184045b0fdd41a636e2e0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-09

    Release 3.3.3

M	NEWS
M	configure.ac

commit 5218c903298d7bb7b57fe110fe4b65538ab5eea1
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-03-08

    Assamese translation completed

M	po/as.po

commit 66ad37228e155fe6707064109eae2dd17cc1e969
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-08

    baobab-chart: fix scrolling

    After recent GTK+ changes, GDK_SCROLL_MASK must be explicitly added.

M	src/baobab-chart.c

commit ed50b167ca7d0b0e2d5234bdc40049024c35d804
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-08

    Fix build

M	help/gl/gl.po

commit 2e8892ad33e9002a674a7f4877b231e04b9aa8c7
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-03-07

    Updated Korean translation

M	po/ko.po

commit f4af4c4478c461a18fcbf24fca0880040dbe6a83
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-03-05

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1e5898eef413d954509f304a3b085e537ecc142f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-04

    Added hu to DOC_LINGUAS

M	help/Makefile.am

commit 68ae9ac238c9c7ed9614597f4f1930ed1c3afb7d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-04

    Hungarian help translation added by Bence Lukacs

A	help/hu/hu.po

commit dd5ca9c40675742f24a734a5405d267477859909
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-03-04

    Updated French translation

M	po/fr.po

commit 7a2ebc08276eda3903a538168908fd8ba44f8211
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-04

    Updated Hungarian translation

M	po/hu.po

commit 9916d450dc49eca54158eb943cfd68f2169ed237
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-04

    Updated Polish translation

M	po/pl.po

commit c127ad6d30dcc39d3dec99bc23a0c971f979c149
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-03

    Updated Polish translation

M	po/pl.po

commit fd09c4238c05b7087a6bc3196f3ac89e54158da1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2012-03-03

    Updated Basque language

M	po/eu.po

commit 12901768948057f28862e03f8456b6e34d90255f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-03-02

    Updated Hebrew translation.

M	po/he.po

commit d316fcf8580f7a40853bc70f3a99fae5ec5ded19
Author: Jonh Wendell <jwendell@gnome.org>
Date:	2012-03-01

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 9b8dda41f15d94acdad7e219d3358b53ba7ce315
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-02-29

    Added Slovenian translation

M	po/sl.po

commit 1d75e3a5b4b6e1eb4cc192e04404061dd5d12b00
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-02-29

    [l10n] Updated Estonian translation

M	po/et.po

commit 6df6bcd7b89b3663fcd1e4f7f34074d21ba1cb4c
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-02-27

    updated Tamil translation

M	po/ta.po

commit 89220c7d8859a02f7c16afeb841a3f70447a18ea
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2012-02-26

    Updated Uyghur translations

M	po/ug.po

commit d9725f7ddd74ef285b7d0e66addffa8c0756f879
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-02-26

    Added galician translations for doc

    Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>

M	help/Makefile.am
A	help/gl/gl.po

commit 10fbf86ff051060fb3b6a06657f6253b02a325cc
Author: Daniel Nylander <po@danielnylander.se>
Date:	2012-02-25

    Updated Swedish translation

M	po/sv.po

commit e5c763d20445a2563209adecaea2e97d7653ad9f
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-02-25

    Updated Russian translation

M	po/ru.po

commit 7b7774a86aecce23fa0d604edf0b9d70d41a817a
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-02-23

    Updated Bulgarian translation

M	po/bg.po

commit 547e94cb82bd2516c40cf5905d478fe2b68c9785
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-02-23

    Updated Bulgarian translation

M	po/bg.po

commit f0dec7fabe81418495f80f4486275222f836c6b8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-02-22

    Updated Spanish translation

M	po/es.po

commit 9ac1c8a8acb8864d3f67d1aa82193659f3b90601
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-02-22

    Updated Spanish translation

M	help/es/es.po

commit 8d4be2512e2963830af1a9fbf939aae16133c0d6
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-02-22

    [l10n] Updated German translation

M	po/de.po

commit 8a4f10782d0df28e0f85854f73a6ca3444dbc0f4
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-02-22

    [l10n] Updated German doc translation

M	help/de/de.po

commit 32694fece21926827cf3713ba1f4848e682c960c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-22

    Release 3.3.2

M	NEWS
M	configure.ac

commit d7dc8d820439405e79413b9922fe83e7865b8a94
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-02-21

    Updated Spanish translation

M	help/es/es.po

commit 55552df612edd9316c1114c0be27d0894917f4e6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-02-21

    Updated Spanish translation

M	po/es.po

commit 29cd7ee45f43de065d58f69b28d4ac92ce242f72
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-02-21

    Updated Norwegian bokmål translation

M	po/nb.po

commit 3dec6b9d66042621f5a1c3e58bd6b18708567236
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-02-21

    Updated Spanish translation

M	po/es.po

commit 91e26cc6f9a5104a9076780cfcb40900d7d62de8
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2012-02-21

    Change help/Makefile.am to use yelp-tools

M	help/Makefile.am

commit 5039a491df589f81b385e20b9bf13aed3801d773
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2012-02-21

    Finish port to make help use Mallard

M	Makefile.am
M	src/baobab-utils.c

commit c9724a9b6f782c7858c587d4c4be08a4cb3cf499
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2012-02-21

    Change configure.ac to use Mallard help

M	configure.ac

commit e2360728970b946ad1f8fe6d4b56aa97ce1ee5a8
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2012-02-21

    Move scan-filesystem.page to scan-file-system.page

R100	help/C/scan-filesystem.page	help/C/scan-file-system.page

commit 34a856c417f76b252d0931c5e199911ef3420cd5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-02-21

    Updated Galician translations

M	po/gl.po

commit 04693d1b6dd2bf9db30dfd3e13e3a12b592b8e73
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-02-21

    Updated Belarusian translation.

M	po/be.po

commit 05a6dbea5173f9732566a6da53937dc85a91118f
Author: Michael Hill <mdhill@src.gnome.org>
Date:	2012-02-20

    More edits for final review

M	help/C/introduction.page
M	help/C/pref-view-chart.page
M	help/C/scan-filesystem.page
M	help/C/scan-home.page

commit 978791259c5b7e5ff05b3ad053445280d266d5e1
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-20

    Prepare Mallard help for merge

    Rename files to be more consistent, tidy up layout, change
    unfinished and incomplete pages to .stub

R100	help/C/custom-location.page	help/C/custom-location.page.stub
R100	help/C/ftp.page help/C/ftp.page.stub
M	help/C/index.page
M	help/C/introduction.page
A	help/C/pref-view-chart.page
A	help/C/pref-view-menu.page
D	help/C/pref-view-rings.page
M	help/C/pref.page
R071	help/C/prob-virtual-folders.page
help/C/prob-virtual-folders.page.stub
M	help/C/scan-filesystem.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page
R100	help/C/ssh.page help/C/ssh.page.stub
D	help/C/tool-status-bar.page
R100	help/C/web-dav.page	help/C/web-dav.page.stub
R100	help/C/windows-share.page	help/C/windows-share.page.stub
M	help/Makefile.am

commit fe51e6042da2723ada05554e7e254e4b8a3efd85
Author: Julita Inca <yrazes@gmail.com>
Date:	2012-02-18

    Improve scan-remote.page

M	help/C/scan-remote.page

commit 7453bced2fde63b4f0c03b93fc74af0888c2f24d
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-18

    Improve working in index.page

M	help/C/index.page

commit bb8cd973f67f19aabcca6c14542f30c3794eaff6
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-18

    Remove prob-multi-devices.page, add pref.page

A	help/C/pref.page
D	help/C/prob-multi-devices.page

commit c1b452e9e8cac9a37f566651fba5af7ade93b4cd
Author: Julita Inca <yrazes@gmail.com>
Date:	2012-02-18

    Improve scan-* and pref-* pages

D	help/C/pref-allocated-space.page
M	help/C/scan-filesystem.page
M	help/C/scan-remote.page

commit 69cb8e5b56baeec4dee82731210dc8d2f2285227
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-18

    Removed prob-no-launch.page

    This page cannot be accessed if the application is not running, it is
    too advanced, it is too generic (same for all applications), no
    instructions on how to run Disk Usage Analyzer from the command,
    line no
    reasoning for deleting a gconf file, "look here" and "click here" must
    never be used for links, and links should point only to GNOME pages,
    they must not point to an Ubuntu specific page

D	help/C/prob-no-launch.page

commit b57bd19802d96dcbc9c9ab3af7824b092847fe04
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-18

    Rename help files to be more intuative

R100	help/C/allocated-space.page	help/C/pref-allocated-space.page
R100	help/C/view-rings.page	help/C/pref-view-rings.page
R100	help/C/virtual-folders.page	help/C/prob-virtual-folders.page

commit 2814f6d2c22b5a8f78844865b3389da47cbe92b6
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-17

    Review and validation fixes for help

M	help/C/scan-filesystem.page
M	help/C/scan-remote.page
M	help/C/virtual-folders.page

commit 1c62dfa1e9e5711588823425a69a65f80b463943
Author: Julita Inca <yrazes@gmail.com>
Date:	2012-02-17

    Post-review fixes to help

M	help/C/custom-location.page
R079	help/C/multi-core.page	help/C/prob-multi-devices.page
R100	help/C/no-come-up.page	help/C/prob-no-launch.page
M	help/C/scan-filesystem.page
M	help/C/scan-folder.page
M	help/C/scan-home.page

commit 5a969a1e20256ff135dcc365511f94d323ad245b
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-17

    Remove mention of toolbar button from scan-remote

M	help/C/scan-remote.page

commit 61e5a972479cfcf3882e10735e73f70be8bf6ed0
Author: Julita Inca <yrazes@gmail.com>
Date:	2012-02-17

    Fix incorrect UI stings in user help

M	help/C/scan-filesystem.page
M	help/C/scan-folder.page
M	help/C/scan-home.page

commit 8383bec8e3e7674e14effc43cda278925817d5ec
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-17

    Review help/C/scan-remote.page

M	help/C/scan-remote.page

commit a4725ba6184189bd52859c31ebea7956bbbac145
Author: Julita Inca <yrazes@gmail.com>
Date:	2012-02-17

    Change help to use Disk Usage Analyzer, not baobab

M	help/C/no-come-up.page
M	help/C/virtual-folders.page

commit 617362cfbb9d0288c56f7f3309047a6fac493da5
Author: Julita Inca <yrazes@gmail.com>
Date:	2012-02-17

    Improve description in custom-location.page

M	help/C/custom-location.page

commit df7a9a717b67271eb1128dc0894b4cc3cfbf3cc3
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-17

    Help validation error fix and introduction review

M	help/C/introduction.page
M	help/C/scan-home.page

commit acaca0975f319022a7845fb9142b213ca848af47
Author: Michael Hill <mdhill@src.gnome.org>
Date:	2011-12-28

    Review of user help

M	help/C/allocated-space.page
M	help/C/custom-location.page
M	help/C/ftp.page
M	help/C/multi-core.page
M	help/C/no-come-up.page
M	help/C/scan-filesystem.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page
M	help/C/ssh.page
M	help/C/view-rings.page
D	help/C/view-tree.page
M	help/C/virtual-folders.page
M	help/C/web-dav.page
M	help/C/windows-share.page

commit c0c5a864fae50296c6d04b1213842653e0561a0d
Author: Julita Inca <yrazes@gmail.com>
Date:	2011-12-28

    Edits based on review by Phil Bull

    Review based on comments by Phil Bull in bug 658377

M	help/C/introduction.page
M	help/C/multi-core.page
M	help/C/no-come-up.page
M	help/C/scan-filesystem.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page
M	help/C/tool-status-bar.page
M	help/C/view-rings.page
M	help/C/view-tree.page
M	help/C/virtual-folders.page

commit ef4ef4d75cf2b7a04efc8ea27b8c151e974e4a04
Author: Julita Inca <yrazes@gmail.com>
Date:	2011-12-25

    Improve scan-* and view-* pages

A	help/C/multi-core.page
A	help/C/no-come-up.page
M	help/C/scan-filesystem.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page
M	help/C/view-rings.page
M	help/C/view-tree.page
A	help/C/virtual-folders.page

commit 8be9fc44101d5123f8e1e6cae14a472f27ca4863
Author: Michael Hill <mdhill@src.gnome.org>
Date:	2011-12-24

    Edits to scan-remote help page

M	help/C/scan-remote.page

commit ae01fc92d84248452cd4820132d744a5523edaa3
Author: Julita Inca <yrazes@gmail.com>
Date:	2011-12-23

    Improve wording in scan-remote.page

M	help/C/scan-remote.page

commit db2b1e256084d0afaec2be4e4dc34f98aa4eb9ca
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2011-12-22

    Fix typo and improve scan-home

M	help/C/scan-home.page

commit 0ccd7f395c88619f03bf89a74ea943a9be98fd5f
Author: Julita Inca <yrazes@gmail.com>
Date:	2011-12-21

    Improve scan-* and protocol pages

M	help/C/custom-location.page
M	help/C/ftp.page
M	help/C/scan-home.page
M	help/C/scan-remote.page
M	help/C/ssh.page
M	help/C/web-dav.page
M	help/C/windows-share.page

commit a9f63e83bd90e48423371b2598ca77117923fe54
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2011-12-21

    Improve scan-filesystem help, including rename

D	help/C/scan-file-system.page
A	help/C/scan-filesystem.page

commit 68e94f77bdc687cc1be96ff1e89717cc9d82aa0d
Author: Julita Inca <yrazes@gmail.com>
Date:	2011-12-21

    Second pass at user help

M	help/C/allocated-space.page
M	help/C/introduction.page
M	help/C/scan-file-system.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page
M	help/C/tool-status-bar.page
M	help/C/view-rings.page
M	help/C/view-tree.page

commit 9e028a478d682d554efb59cba3b3b7da83255d81
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2011-12-20

    Update Makefile.am and first tidy of help

M	help/C/introduction.page
M	help/C/scan-home.page
M	help/Makefile.am

commit a6a9e15d0c0c7f1f76270148b77b850284663727
Author: Julita Inca <yrazes@gmail.com>
Date:	2011-12-19

    First pass at user help in Mallard, bug 658377

A	help/C/allocated-space.page
D	help/C/baobab.xml
A	help/C/custom-location.page
D	help/C/figures/baobab_fullscan.png
D	help/C/figures/baobab_prefs.png
D	help/C/figures/baobab_remote.png
D	help/C/figures/baobab_ringschart1.png
D	help/C/figures/baobab_ringschart2.png
D	help/C/figures/baobab_treemaps.png
D	help/C/figures/baobab_window.png
A	help/C/ftp.page
A	help/C/index.page
A	help/C/introduction.page
D	help/C/legal.xml
A	help/C/scan-file-system.page
A	help/C/scan-folder.page
A	help/C/scan-home.page
A	help/C/scan-remote.page
A	help/C/ssh.page
A	help/C/tool-status-bar.page
A	help/C/view-rings.page
A	help/C/view-tree.page
A	help/C/web-dav.page
A	help/C/windows-share.page

commit 99f3efce51941a5006faa04b0e8836c19948a1a5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-02-21

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit cdafffa1ceb385dede1fba2c67eef32496b837ca
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:	2012-02-18

    Improve UI strings

    Including replacing "..." with "…", "filesystem" with "file system".

M	data/baobab-main-window.ui
M	data/baobab-preferences-dialog.ui
M	src/baobab-prefs.c
M	src/baobab.c
M	src/callbacks.c

commit 24eda7fe875d5e43c32ea555fc7c26b6c51043ca
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-02-18

    Capitalize description in baobab.doap

    It follows the git.gnome.org convention.

M	baobab.doap

commit 726c5975d7ad9076e54d86e61bbed8137207c192
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-18

    Make "/" check item in the prefs dialog always insensitive

M	src/baobab-prefs.c

commit 45ad57ef726eeb6c77bf5667b2139fb2ce20974b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-29

    Fix display of preference help

    Fix the utility used to show the help file to use the proper uri
    format
    and use it in the prefs dialog. Based on a patch by Ekaterina
    Gerasimova
    <kittykat3756@googlemail.com>

M	src/baobab-prefs.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/callbacks.c

commit b6642cd2d4e99fedf916aacc9b8a25566b8f2d9b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-29

    Cleanup BaobabChart API

    Move the popup menu implementation in the chart object, cleanup the
    API to consistently use BaobabChart in all public functions and other
    cleanups

M	src/baobab-chart.c
M	src/baobab-chart.h
M	src/baobab-ringschart.c
M	src/baobab-ringschart.h
M	src/baobab-treemap.c
M	src/baobab-treemap.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 3527995891f9e96b92164e72c667a64e8429ae0f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-05

    Fix deprecation warnings

    Use GdkRGBA instead of GdkColor

M	src/baobab-cell-renderer-progress.c

commit 17b3e573ffc744d8022b740eb45d7e905e54f10b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-01-25

    Updated Norwegian bokmål translation

M	po/nb.po

commit 1c98180e4a2e993682b917adf3617fedea2c1dbe
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-04

    Cleanup

M	src/baobab.c

commit b1c310a0ff0021e09b1044a00f82dfdc388ea8f3
Author: William Hua <william@attente.ca>
Date:	2012-01-03

    Use correct indentation.

M	src/baobab.c

commit 5a0a21d9a89d79a47ffc4bde5d0e814fdb85b110
Author: William Hua <william@attente.ca>
Date:	2012-01-01

    call g_settings_sync on shutdown

M	src/baobab.c

commit bc162ac9683a35c1e76627eadee723d147261e73
Author: Praveen Illa <mail2ipn@gmail.com>
Date:	2011-11-23

    Updated Telugu Translation

M	po/te.po

commit 69f4d7bfcf1ae6a7d9bd985e2b9c0e4a35347431
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-10-25

    Update .doap file

M	baobab.doap

commit 028a9303df720d48c60dc057623f2829ad372ab3
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-10-25

    configure.ac: the minimum required Glib version is 2.30

    As baobab uses the new g_format_size() API

M	configure.ac

commit b4db730a97c322709378cd3afcc4229986a0c2bd
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-10-25

    Release 3.3.1

M	NEWS
M	configure.ac

commit db2aec03d974ca3e4815686b2a811a434b881eb2
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-10-25

    Makefile.am: honor aclocal flags

M	Makefile.am

commit 74d48d34eecbae4a4abb60ece3bf2feb7070bd74
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-10-25

    configure.ac: Use upstream gettext

M	configure.ac

commit 5a76f6249603f42b43f60dccce44259962ecad64
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-10-25

    build: cleanup autotools setup a bit

M	configure.ac

commit db5e432df409c29aeceaf46ccc5ec7c96d86e216
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-10-20

    Updated Belarusian translation.

M	po/be.po

commit 9b4b1a9efabed27ea695f837e32b7f4b1ef89dea
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-10-15

    Add modelines to c files

M	src/baobab-cell-renderer-progress.c
M	src/baobab-chart.c
M	src/baobab-prefs.c
M	src/baobab-remote-connect-dialog.c
M	src/baobab-ringschart.c
M	src/baobab-scan.c
M	src/baobab-treemap.c
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab.c
M	src/callbacks.c

commit 0aad5b123ec4153917ba1bb20809bc314354c869
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-10-15

    Fix up a few things in the build system after the split.

D	.gitignore
A	ChangeLog
M	Makefile.am
A	NEWS
M	autogen.sh
M	configure.ac
M	data/Makefile.am
A	git.mk
M	help/Makefile.am
M	pixmaps/Makefile.am
M	src/Makefile.am

commit 95469d0a9001ad063fc83a47a196d4012505f8cf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-07

    Add forgotten LINGUAS file

A	po/LINGUAS

commit ed012a1ab2185820b8264b95f2126f0e20f27fa0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-06

    Cleanup translations for module split

M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/be@latin.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/crh.po
M	po/cs.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
M	po/en@shaw.po
M	po/en_CA.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kn.po
M	po/ko.po
M	po/ku.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/ps.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/rw.po
M	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tr.po
M	po/ug.po
M	po/uk.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit ec067c348c3405129acfbd8454d972e0e0d5f725
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-27

    Update for module split

D	.cvsignore
A	COPYING
A	COPYING.docs
D	ChangeLog
M	Makefile.am
A	autogen.sh
A	baobab.doap
A	configure.ac
D	data/.cvsignore
D	help/.cvsignore
D	help/ChangeLog
D	pixmaps/.cvsignore
A	po/POTFILES.in
A	po/POTFILES.skip
A	po/af.po
A	po/am.po
A	po/ar.po
A	po/as.po
A	po/ast.po
A	po/az.po
A	po/be.po
A	po/be@latin.po
A	po/bg.po
A	po/bn.po
A	po/bn_IN.po
A	po/br.po
A	po/bs.po
A	po/ca.po
A	po/ca@valencia.po
A	po/crh.po
A	po/cs.po
A	po/cy.po
A	po/da.po
A	po/de.po
A	po/dz.po
A	po/el.po
A	po/en@shaw.po
A	po/en_CA.po
A	po/en_GB.po
A	po/eo.po
A	po/es.po
A	po/et.po
A	po/eu.po
A	po/fa.po
A	po/fi.po
A	po/fr.po
A	po/ga.po
A	po/gl.po
A	po/gu.po
A	po/he.po
A	po/hi.po
A	po/hr.po
A	po/hu.po
A	po/id.po
A	po/it.po
A	po/ja.po
A	po/ka.po
A	po/kn.po
A	po/ko.po
A	po/ku.po
A	po/lt.po
A	po/lv.po
A	po/mai.po
A	po/mg.po
A	po/mk.po
A	po/ml.po
A	po/mn.po
A	po/mr.po
A	po/ms.po
A	po/nb.po
A	po/nds.po
A	po/ne.po
A	po/nl.po
A	po/nn.po
A	po/oc.po
A	po/or.po
A	po/pa.po
A	po/pl.po
A	po/ps.po
A	po/pt.po
A	po/pt_BR.po
A	po/ro.po
A	po/ru.po
A	po/rw.po
A	po/si.po
A	po/sk.po
A	po/sl.po
A	po/sq.po
A	po/sr.po
A	po/sr@latin.po
A	po/sv.po
A	po/ta.po
A	po/te.po
A	po/th.po
A	po/tr.po
A	po/ug.po
A	po/uk.po
A	po/vi.po
A	po/wa.po
A	po/xh.po
A	po/zh_CN.po
A	po/zh_HK.po
A	po/zh_TW.po
D	src/.cvsignore
M	src/Makefile.am

commit 1348185d9fdc42d11b07463a38e7b8175798f642
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-08-03

    baobab: Do not use deprecated g_format_size_for_display()

M	src/baobab-prefs.c
M	src/baobab-utils.c
M	src/baobab.c

commit ee34ca3c4537366e9b7984530f96063d76fb0de9
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-04

    Updated Spanish translation

M	help/es/es.po

commit 215448f89207b33bbf3728d9ab050cfcb209177e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-29

    Add missing #include <config.h> to make translations work

M	src/baobab-ringschart.c
M	src/baobab-treemap.c

commit 217d4aa9029739694ca231678beedeb82c8e6b60
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-03-23

    baobab: Use /org/gnome as starting path for schemas

M	data/org.gnome.baobab.gschema.xml.in

commit e9fe426bdf42d40e8e3ba00109ff4f162eb530cf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    baobab: use the "primary-toolbar" style class for the toolbar

M	data/baobab-main-window.ui

commit 50463007e2e87e13f060463e1bdfbb1a965940e4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    baobab: use a new high-resolution icon for Baobab

    Courtesy of Lapo Calamandrei.
    License: LGPLv3/CCBYSA3

    https://bugzilla.gnome.org/show_bug.cgi?id=468871

D	pixmaps/24x24/.cvsignore
D	pixmaps/24x24/Makefile.am
D	pixmaps/24x24/baobab.png
M	pixmaps/Makefile.am
A	pixmaps/baobab.svg
A	pixmaps/hicolor_apps_16x16_baobab.png
A	pixmaps/hicolor_apps_22x22_baobab.png
A	pixmaps/hicolor_apps_24x24_baobab.png
A	pixmaps/hicolor_apps_256x256_baobab.png
A	pixmaps/hicolor_apps_32x32_baobab.png
A	pixmaps/hicolor_apps_48x48_baobab.png
D	pixmaps/scalable/.cvsignore
D	pixmaps/scalable/Makefile.am
D	pixmaps/scalable/baobab.svg

commit 968dca0b609d573240f6cde801a1b4cde57c8852
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-22

    Fix typo (G_TYPE_INSTANCE_CHECK_TYPE -> G_TYPE_CHECK_INSTANCE_TYPE)

M	src/baobab-remote-connect-dialog.h

commit 9f23f7246b1f7a8dab8246e7ea2ae42133db3d30
Author: Djavan Fagundes <djavan@comum.org>
Date:	2010-12-01

    Added Brazilian Portuguese images

A	help/pt_BR/figures/baobab-fullscan.png
A	help/pt_BR/figures/baobab-prefs.png
A	help/pt_BR/figures/baobab-ringschart2.png
A	help/pt_BR/figures/baobab-window.png
A	help/pt_BR/figures/baobab_remote.png
A	help/pt_BR/figures/baobab_treemaps.png

commit a3b2e78b96fc18e5e88be47221f181b30fd2bdc7
Author: Ricardo Franco <ricardo_krieg@yahoo.com.br>
Date:	2010-12-01

    Added Brazilian Portuguese translation

A	help/pt_BR/pt_BR.po

commit 3e9db94077537de7c9a11e0a543b1a7b7f5290c8
Author: Djavan Fagundes <djavan@comum.org>
Date:	2010-12-01

    Added pt_BR to Makefile.am

M	help/Makefile.am

commit ca8765b0700e6367888728d8f1f7d962a231f7ed
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    [baobab] remove unused variable

M	src/baobab-utils.c

commit 0bfc801fba8fdf0e259f5ef9a6a0915025f47b62
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-01

    Remove the need of the BaobabFS struct

M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h

commit 6460dd1dbbced8f36ab983e2992328d5cc6a006b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    [baobab] Cleanup open_file_with_application util

M	src/baobab-utils.c

commit a78f1270d0a562d5c65c7420d28d8d143560408b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-30

    Use gtk_paned_new instead gtk_[h|v]paned_new

M	data/baobab-main-window.ui

commit b06a6d7de58ef7bcbeae23d0555485ed7ac6f172
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-23

    Gtk3 compile fix that git lost in the shuffle

M	src/baobab-chart.c

commit 331ce5aad28c20372e838709cfb49ab3065820fa
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-21

    Added sl for Slovenian translation

M	help/Makefile.am

commit b2fd3138b71f83f669316f79f7546d7725896fc8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-21

    Updated Slovenian translation

A	help/sl/sl.po

commit da5068f11d9c3063327390088ad36c3d3b5a1808
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-10-20

    baobab: fix some leftovers from the GSettings transition

M	data/Makefile.am
D	data/baobab.schemas.in

commit 6ecd7b12010bd3b31c086c54578ba3633116b6c2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-20

    Use GtkComboBoxText. Patch by Matthias Clasen

M	src/baobab-chart.c
M	src/baobab.c

commit 3b3cbe5c2ee20778c1e1aebf63b262386349a5a0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Port baobab to gsettings.

    The port is based on vuntz's gsettings-tutorial branch - which I
    discoverd only when I was half way through :( - but it is updated
    to the
    latest changes in the application and to the definitive gsettings api

M	README
M	data/Makefile.am
M	data/baobab-main-window.ui
A	data/org.gnome.baobab.gschema.xml.in
M	src/Makefile.am
M	src/baobab-prefs.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 8d69812e4b42c9969f47cecd7d504dbf1ea64ced
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Remove the subfolder tooltips preference

    There is no ui for it and as far as I recall no one ever asked
    for one.
    Let's just always enable them. One less preference to port to
    gsettings.
    The code in ringschart is still in place, but if this ever needs to be
    brought back it should become a property.

M	data/baobab.schemas.in
M	src/baobab-ringschart.c
M	src/baobab.c
M	src/baobab.h

commit 4a7b18ebf966f8031efd0e028e7c69b94724fd0c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Remove leftover typedef

M	src/baobab.h

commit 71756151c3295af9f17ba9acc611f5801d8690f3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Rename the preference dialog ui file

M	data/Makefile.am
R100	data/baobab-dialog-scan-props.ui
data/baobab-preferences-dialog.ui
M	src/baobab-prefs.c

commit 4718a0cec3833eb4e3b2164785da92e71888a38b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Move defines in the appropriate C files

M	src/baobab-prefs.c
M	src/baobab.c
M	src/baobab.h

commit 217d3fd4aff3c99be0785395a836264d5e4c9e29
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Remove another property removed in gtk3

M	data/baobab-dialog-scan-props.ui

commit c7c4a8be29665cd0667ae896c65a3d638824fea7
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Remove deprecated gtk stuff

M	data/baobab-main-window.ui
M	src/baobab-remote-connect-dialog.c

commit 720670ad21749110e5a3b5aa2bf7cfa73e105e6d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Port chart to gtk3 drawing api

M	src/baobab-chart.c

commit dc38d93cc53ab97f7158a4d0adfca7ab7fc799af
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Get rid of GtkObject and clean up quit handling

M	data/baobab-main-window.ui
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 011f6d62f7245757fa5c2c2f7c9047d36e782810
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Update to gtk3 cellrenderer api

M	src/Makefile.am
M	src/baobab-cell-renderer-progress.c

commit e8dcacbee14121377afba4c2e1a3974d3c053162
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-09

    Split gtk2 and gtk3 cflags and libs to allow porting each app

M	Makefile.am
M	src/Makefile.am

commit a556aefea45a3ee56bb20a3904977f580b8ae531
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-09-27

    Persist the currently selected chart type

M	data/baobab.schemas.in
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit b8860ea925cdb1054233be7610c107431718b412
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-09-01

    baobab: Fix compiler warnings from -Wall

    Seriously, people...

    https://bugzilla.gnome.org/show_bug.cgi?id=628499

M	src/baobab-cell-renderer-progress.c
M	src/baobab-chart.c
M	src/baobab-prefs.c
M	src/baobab-remote-connect-dialog.c
M	src/baobab-ringschart.c
M	src/baobab-scan.c
M	src/baobab-treemap.c
M	src/baobab-utils.c
M	src/baobab.c

commit 40f62ab122fe98d8ce8dba917d5b189fd5ca9187
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-08-29

    Get rid of the g_fs global and some other code cleanup

M	src/baobab-scan.h
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h

commit a4ea3ece249143d5d3abd498d5928f15a7c5ae5c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-26

    Sync gconf when closing the dialog. Bug 625308.

M	src/baobab-prefs.c

commit dc56291488e2806afa7fd2ed95c56cdb2a1ea54c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Use baobab namespace for public functions

M	src/baobab-scan.c
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c

commit d79b73caccabbcf8259f2ce03e57725f09ac9251
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Store current location in the app struct

M	src/baobab.c
M	src/baobab.h

commit 9731f74f3bd9a0ded35374add955e740144687cd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Move monitors inside the main app struct

M	src/baobab-prefs.c
M	src/baobab.c
M	src/baobab.h

commit a196c546c5089ec8550067eaee476b143349eaf9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Remove trailing whitespace

M	src/baobab.c

commit 9631acebd493809e43c6044569bfcee3d0974755
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Remove old var not used anymore

M	src/baobab.c
M	src/baobab.h

commit d5c32e5aeb4c109db1a01a03330146799fc6ccdc
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Rename application struct

M	src/baobab.h

commit b40a95555aea7b1ca3530561a063b2a53f129204
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Cleanup chart context menu

M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit d21726f6da3d359ff4372f95ec32d49da2053706
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    No need to use connect_after

M	src/baobab-prefs.c

commit aa5ccfa742563bc6ed08593f1b1cf4880a4c6251
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    White space fixes

M	src/callbacks.c

commit 8d7d037d44ddd0b06b7f443f4add7f30d708e9ac
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    More consistent defines for the prefs keys

M	src/baobab-prefs.c
M	src/baobab.c
M	src/baobab.h

commit bf2ebf82177c23720eb0f9be921d2b3028a0a448
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Connect to the notification of the monitor home pref

M	src/baobab-prefs.c
M	src/baobab.c
M	src/baobab.h

commit 13066207e6a11d7fa9c585f7ff7c29ca438bfc08
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Remove leftover defines

M	src/baobab.c

commit 8485a5c2adb16c8ee9cd2fb1349bdf1c4af08faf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Rename function

M	src/baobab-prefs.c
M	src/baobab-prefs.h
M	src/callbacks.c

commit 108c5f6ba4075d6e8eb42d83028a2122194af992
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Move enum in the C file

M	src/baobab-prefs.c
M	src/baobab-prefs.h

commit ebfd3fc9b3562e780503a6c67167ba100ffa2eee
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Tidy up the prefs dialog code

    Remove global variables, reorder code, etc

M	src/baobab-prefs.c

commit 1e22f1c2209998be94a3d867e37c69532f5c12df
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Fix up indentation a bit

M	src/baobab-prefs.c

commit a6af0a62d1d86338f5201e8c70c3f4ef82cd626d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-24

    Move gconf notifications functions all in the same place

M	src/baobab-prefs.c
M	src/baobab-prefs.h
M	src/baobab.c

commit b1545673e6c8bd0bbc639bb090234aede9769dad
Author: Thomas Hindoe Paaboel Andersen <phomes@gmail.com>
Date:	2010-07-15

    Port to GtkSpinner

    GNOME bug #612485

M	src/Makefile.am
M	src/baobab.c
D	src/gedit-spinner.c
D	src/gedit-spinner.h

commit abc97e9c0ca552d92ab81a19b31c9dae757e3eb2
Author: Thomas Hindoe Paaboel Andersen <phomes@gmail.com>
Date:	2010-06-23

    Fix GSEAL issues

    GNOME bug #612485

    Signed-off-by: Javier Jardón <jjardon@gnome.org>

M	src/baobab-cell-renderer-progress.c
M	src/baobab-chart.c
M	src/baobab-ringschart.c
M	src/baobab.c

commit df5511f81a9c8bcf95927aed15d14e0ac24de0e7
Author: Kevin_Wei_2 <kevin_wei3@yahoo.com.tw>
Date:	2010-05-17

    Updated Traditional Chinese Document translation (Hong Kong and
    Taiwan)

M	help/zh_HK/zh_HK.po
M	help/zh_TW/zh_TW.po

commit 3a35769fbdf840c696a34313b941c1e168ac7ff5
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-05-03

    Some trivial fixes for building with -DGSEAL_ENABLE

M	src/baobab-treemap.c

commit 7feaec3aa1bd7840a0ec24331edc7961f243f432
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-05-03

    Fix some issues when compiling with -DGSEAL_ENABLE. See bug #612485.

M	src/baobab-remote-connect-dialog.c
M	src/baobab-utils.c

commit 317f3a5303efe158a32f9f842160145447cb147d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:	2010-04-03

    Remove executable bit from en_GB.po

M	help/en_GB/en_GB.po

commit d7adc01a3e28f06518739873d9f915748672874b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-03-30

    [general] Fails to link with pedantic linkers

    Add explicit linking to -lm. Fix bug #609934, patch by Matthias
    Clasen.

M	src/Makefile.am

commit f6cf6ff2d7b501c37875f975c91bd9ec2b01deb0
Author: Paul Cutler <pcutler@gnome.org>
Date:	2010-01-25

    Remove filesystem scan paragraph that are in the docs twice; add
    pulse status

M	help/C/baobab.xml

commit c53bb1a5203c9609130ed37ec4dbd73039a6abd8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-01-16

    [baobab] do not set up dnd before the widgets are created

M	src/baobab.c

commit 8d5ab587cc8eccbe6d282ca221af0d01f0c0f9b8
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2010-01-10

    Update Ukrainian translation

M	help/uk/uk.po

commit bccd2d9db1e520c317598c55082a5d050641f5d0
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2010-01-10

    Update Ukrainian translation

A	help/uk/figures/baobab_fullscan.png
A	help/uk/figures/baobab_prefs.png
A	help/uk/figures/baobab_remote.png
A	help/uk/figures/baobab_ringschart1.png
A	help/uk/figures/baobab_ringschart2.png
A	help/uk/figures/baobab_treemaps.png
A	help/uk/figures/baobab_window.png
M	help/uk/uk.po

commit a1427c43c7179b902bb3259a9ab4c41f7d295176
Author: Pablo Castellano <pablog@src.gnome.org>
Date:	2010-01-06

    Updated .gitignore files

M	.gitignore

commit e26f02af45d5cade79da794f34e0e0f6672d7c45
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:	2009-11-11

    Fixes #573530

    Minor string fix.

M	data/baobab.schemas.in

commit 9ba9ea4f4079194cdd08da6c2734d68452b7c889
Author: Eduardo Lima Mitev <elima@igalia.com>
Date:	2009-11-10

    [baobab] Fixes #601147.

    Adds a check to avoid traversing the tree model if it's empty.

    Contributed by Alexander Korolkov.

M	src/baobab-chart.c

commit 18a8c79fe3a038b8b81ea13353801add61759cfb
Author: Fabio Marzocca <thesaltydog@gmail.com>
Date:	2009-11-09

    Fixes  #508483 -  wrong c-format

    Wrong format in a translatable string

M	src/baobab.c

commit 1382e5fb8c97dfa34aae52c207aa9fdbc1c6f7db
Author: Eduardo Lima Mitev <elima@igalia.com>
Date:	2009-11-04

    [baobab] Fixes #554126.

    Limits treemap zooming to the actual depth of folders shown.

M	src/baobab-chart.c
M	src/baobab-chart.h
M	src/baobab-treemap.c
M	src/baobab-treemap.h
M	src/callbacks.c

commit 92a7346fb5aa32393c35b9d3beef2ce2aaa7cd72
Author: Fabio Marzocca <thesaltydog@gmail.com>
Date:	2009-10-28

    Fixes #594539 - Drag and drop folders

    Allow user to drag a folder directly over the rings-chart or treemap
    to get it scanned
    (patch by h2g2bob <bug.h2g2bob@dbatley.com>

M	src/baobab.c

commit c2fcf47923751ff833745ea4ba3e7bba85d63dc0
Author: Fabio Marzocca <thesaltydog@gmail.com>
Date:	2009-10-27

    Fix bugs: #547198 - #592735

    Renamed "Save snapshot" to "Save screenshot".
    Gnome Goal on Desktop File, removed GenericName.

M	data/baobab.desktop.in.in
M	src/baobab.c

commit 2d2b01671a29aa0662227a52ff8508b00a447b88
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2009-10-27

    [baobab] callback objects are now GtkActions

    With the GtkBuilder transition, some GtkMenuItem objects have been
    translated to GtkActions. Modify the callbacks accordingly.
    Fixes bug #589611.

M	src/callbacks.c
M	src/callbacks.h

commit e9b96ebbc329875d1deb0c3e6bf28e2997297e8e
Author: Lucas Lommer <llommer@svn.gnome.org>
Date:	2009-09-21

    Update Czech translation

M	help/cs/cs.po

commit 06ba11fe894df75cd1926f4b4dfb6f4fe3f9733c
Author: Eduardo Lima Mitev <elima@igalia.com>
Date:	2009-07-27

    [baobab] Adds suggested filename to chart snapshot file-chooser dialog

    Closes bug #546196

M	src/baobab-chart.c

commit fccdd4eb09ed290ba042933c93998973a8d121f7
Author: Eduardo Lima Mitev <elima@igalia.com>
Date:	2009-07-21

    [baobab] Adds "total filesystem capacity" row as root of initial
    treeview

    Closes bug #571515.

M	src/baobab-chart.c
M	src/baobab-chart.h
M	src/baobab-ringschart.c
M	src/baobab.c

commit 2af3396c8044aad435265cc9035a1d4233de1a9f
Author: Paolo Borelli <porelli@gnome.org>
Date:	2009-06-29

    Fix warnings of format_secondary_text in the right way

M	src/baobab-remote-connect-dialog.c
M	src/baobab-utils.c
M	src/baobab-utils.h

commit f01562b217de26d12aee750ed79120db206afd35
Author: Paolo Borelli <porelli@gnome.org>
Date:	2009-06-29

    Fix typo in the last patch

M	src/baobab-scan.c

commit e8d7cfeef2b3f3c9052e1f615ee811d4817d2690
Author: Paolo Borelli <porelli@gnome.org>
Date:	2009-06-28

    Fix gio inode and device handling for hardlinks

M	src/baobab-scan.c

commit 7668864d1c6cd1b9c2be58d1fd724e13c60cfc47
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-06-26

    [baobab] Remove build warning for
    gtk_message_dialog_format_secondary_text

M	src/baobab-remote-connect-dialog.c
M	src/baobab-utils.c

commit 0bde26fba7671685d52a213539c0e37aae413c78
Author: Fabio Marzocca <thesaltydog@gmail.com>
Date:	2009-06-26

    Updated copyright year

    Changed 2008 in 2009

M	src/callbacks.c

commit 9b4b6eca02f8d1001d8a654e14bb9be3f746b9d6
Author: Βασίλης Κοντογιάνης <vasilisk@ics.forth.gr>
Date:	2009-05-21

    Updated Greek translation for baobab documentation

M	help/el/el.po

commit a2d964b29615482a13ac9f173ea9147b0bb70bd3
Author: Michael Terry <mike@mterry.name>
Date:	2009-05-07

    Command line parsing cleanups; add --version

    Adds a --version/-V option to print baobab version.
    Notes in the --help output that a directory argument can be passed.
    Errors out if more than one directory argument is provided.
    Closes bgo#481480

M	src/baobab.c

commit fb31a4a04c7b0e3a75d418e9080aa36a2efc9c98
Author: Paolo Borelli <porelli@gnome.org>
Date:	2009-05-04

    Remove leftover declaration

M	src/baobab-utils.h

commit 3e3992e352e273584c3e4c055cf39b9d09102476
Author: Fabio Marzocca <thesaltydog@gmail.com>
Date:	2009-05-01

    Fix bug #581002  - Baobab crashes when scan is pointed to a
    de-selected mount point

    Reworked code in baobab-utils.c in order to trap a request to scan
    a mount point
    which was previously deselected in preferences.

M	src/baobab-utils.c
M	src/baobab.c

commit 21dd0a39865afd383fa8838e2fb87dd02c0dc83f
Author: Paolo Borelli <porelli@gnome.org>
Date:	2009-04-25

    Rework monitoring of the home file dir

    Rework code that monitors file changes in the home dir. Show the
    notification only if the currently scanned folder is a subdir of
    home itself.

M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/callbacks.c
M	src/callbacks.h

commit 5631b26164caf109096c979b75ee20f3c6097bd6
Author: Fabio Marzocca <thesaltydog@gmail.com>
Date:	2009-04-24

    Fix bug #580139 - invalid help uri]

    src/callbacks.c: make sure to use "baobab" instead of "baobab.xml"
    when invoking the help

M	src/callbacks.c

commit c463a0cc01cff03e7ce0a56b5468fb871612c02e
Author: TeliuTe <teliute@163.com>
Date:	2009-04-19

    Upload zh_CN translation

M	help/Makefile.am
A	help/zh_CN/zh_CN.po

commit 1b605f3a2e85c29f59bee940f86625a3a61ff747
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	2009-04-18

    [gitignore] Add ignore file for sub-modules

    Sub-modules should have their own .gitignore file.

A	.gitignore

commit 8a08b815863a3713ed99237d8cab76474f58bc79
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2009-04-10

    #578631

    svn path=/trunk/; revision=8548

M	ChangeLog
A	data/baobab-dialog-scan-props.ui
A	data/baobab-main-window.ui
M	src/gedit-spinner.c

commit 816e08b4c4a78033f08576dc9b4e4b8c65067586
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2009-04-07

    Port to GtkBuilder (#577940).

    2009-04-07	Cosimo Cecchi  <cosimoc@gnome.org>

	* data/Makefile.am:
	* data/baobab.glade:
	* src/Makefile.am:
	* src/baobab-prefs.c (create_props), (create_tree_props):
	* src/baobab-treeview.c (create_directory_treeview):
	* src/baobab-utils.c (set_ui_action_sens), (set_ui_widget_sens),
	(show_label):
	* src/baobab-utils.h:
	* src/baobab.c (check_menu_sens), (baobab_scan_location),
	(set_toolbar_visible), (set_statusbar_visible),
	(baobab_create_toolbar), (baobab_create_statusbar), (baobab_init),
	(initialize_ringschart), (main):
	* src/baobab.h:
	* src/callbacks.c (on_view_sb_activate):
	* src/callbacks.h:
	Port to GtkBuilder (#577940).

    svn path=/trunk/; revision=8543

M	ChangeLog
M	data/Makefile.am
D	data/baobab.glade
M	src/Makefile.am
M	src/baobab-prefs.c
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 22b5df4cfd7420a9a0a5e89256678145b0728ca2
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2009-04-03

    Bug 577714

    svn path=/trunk/; revision=8541

M	ChangeLog
M	src/callbacks.c

commit efd5125b7d4fbf0e6d22345cf006df6da98e3888
Author: Simos Xenitellis <simos@src.gnome.org>
Date:	2009-03-29

    Added Greek translation by Marios Zindilis

    svn path=/trunk/; revision=8531

M	help/ChangeLog
M	help/Makefile.am
A	help/el/el.po
A	help/el/figures/baobab_fullscan.png
A	help/el/figures/baobab_prefs.png
A	help/el/figures/baobab_remote.png
A	help/el/figures/baobab_window.png

commit b01692928b07fca90a2054ee856a5837359691e6
Author: Petr Kovar <pknbe@volny.cz>
Date:	2009-03-16

    Added Czech translation by Lucas Lommer. Added cs to DOC_LINGUAS.

    2009-03-16	Petr Kovar  <pknbe@volny.cz>

	* cs/cs.po: Added Czech translation by Lucas Lommer.
	* Makefile.am: Added cs to DOC_LINGUAS.

    svn path=/trunk/; revision=8494

M	help/ChangeLog
M	help/Makefile.am
A	help/cs/cs.po

commit 147ce327331b5e1b9d84ba88ca20b542ea97a319
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-03-12

    Removed figure identical to original.

    2009-03-12	Claude Paroz  <claude@2xlibre.net>

	* fi/figures/baobab_ringschart2.png: Removed figure identical to
	original.

    svn path=/trunk/; revision=8480

M	help/ChangeLog
D	help/fi/figures/baobab_ringschart2.png

commit 62340a3694c62bca2e94bb04f61fb6311bc71fbb
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-03-12

    Removed executable property.

    2009-03-12	Claude Paroz  <claude@2xlibre.net>

	* fi/*: Removed executable property.
	* sv/figures/baobab_treemaps.png:
	* fi/figures/baobab_ringschart1.png:
	* es/figures/baobab_ringschart1.png: Removed figures identical to
	originals.

    svn path=/trunk/; revision=8479

M	help/ChangeLog
D	help/es/figures/baobab_ringschart1.png
M	help/fi/fi.po
M	help/fi/figures/baobab_fullscan.png
M	help/fi/figures/baobab_prefs.png
M	help/fi/figures/baobab_remote.png
D	help/fi/figures/baobab_ringschart1.png
M	help/fi/figures/baobab_ringschart2.png
M	help/fi/figures/baobab_treemaps.png
M	help/fi/figures/baobab_window.png
D	help/sv/figures/baobab_treemaps.png

commit 052ab20473387b2be3f1d7c8eaf5f46b5354780e
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-03-12

    Fixed typo (double "is"). Fixed msgid in all translations. Fixes bug

    2009-03-12	Claude Paroz  <claude@2xlibre.net>

	* C/baobab.xml: Fixed typo (double "is").
	* */*.po: Fixed msgid in all translations.
	Fixes bug #575119.

    svn path=/trunk/; revision=8478

M	help/C/baobab.xml
M	help/ChangeLog
M	help/ca/ca.po
M	help/da/da.po
M	help/de/de.po
M	help/en_GB/en_GB.po
M	help/es/es.po
M	help/eu/eu.po
M	help/fi/fi.po
M	help/fr/fr.po
M	help/it/it.po
M	help/oc/oc.po
M	help/pl/pl.po
M	help/ru/ru.po
M	help/sv/sv.po
M	help/uk/uk.po
M	help/zh_HK/zh_HK.po
M	help/zh_TW/zh_TW.po

commit bae03bce44f3db22c881fe674d3fdf711d4373f2
Author: miloc <miloc@localhost>
Date:	2009-03-10

    Updated Italian translation by Andrea Zagli

    svn path=/trunk/; revision=8468

M	help/ChangeLog
M	help/it/it.po

commit e5fb27eb9526f4e4d6788c560a92dcd29a63a091
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2009-03-08

    Bug #574105

    svn path=/trunk/; revision=8465

M	ChangeLog
M	src/baobab-prefs.c

commit 4bea4d3536882b7635959426cbb757313a674f1a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2009-03-02

    Updated British English translation.

    2009-03-02	Philip Withnall  <philip@tecnocode.co.uk>

	* en_GB/en_GB.po: Updated British English translation.


    svn path=/trunk/; revision=8456

M	help/ChangeLog
M	help/en_GB/en_GB.po

commit 6a53a3593077a37ee80ab336aca4ab32d38a3bb1
Author: Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>
Date:	2009-02-17

    Added image in Basque language. Images are: baobab_treemaps.png

    2009-02-17	Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

	* eu/figures/: Added image in Basque language. Images are:
		baobab_treemaps.png
		baobab_prefs.png
		baobab_window.png
		baobab_fullscan.png
		baobab_remote.png


    svn path=/trunk/; revision=8419

M	help/ChangeLog
A	help/eu/figures/baobab_fullscan.png
A	help/eu/figures/baobab_prefs.png
A	help/eu/figures/baobab_remote.png
A	help/eu/figures/baobab_treemaps.png
A	help/eu/figures/baobab_window.png

commit d3f7cedfdb3884a7c6ae62d692fafc05d5643b0a
Author: Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>
Date:	2009-02-16

    Added Basque translation. Added 'eu' to DOC_LINGUAS.

    2009-02-16	Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

	* eu/eu.po: Added Basque translation.
	* Makefile.am: Added 'eu' to DOC_LINGUAS.



    svn path=/trunk/; revision=8415

M	help/ChangeLog
M	help/Makefile.am
A	help/eu/eu.po

commit a96d46e40c0301eded894f362a0ded1a1c28d82d
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:	2009-02-06

    Updated Finnish translation by Jukka Heikkilä

    svn path=/trunk/; revision=8398

M	help/ChangeLog
M	help/fi/fi.po
M	help/fi/figures/baobab_treemaps.png

commit 31542fa668caa8cdb19554a04156d695e4dbaf1e
Author: Tomasz Dominikowski <tdominikowski@aviary.pl>
Date:	2009-02-05

    Added Polish translation

    2009-02-05	Tomasz Dominikowski  <tdominikowski@aviary.pl>

	* pl/pl.po: Added Polish translation

    svn path=/trunk/; revision=8395

M	help/ChangeLog
M	help/Makefile.am

commit 69424ccab9cb4129369a2d03d8441e02c1237b6e
Author: Tomasz Dominikowski <tomaszd@src.gnome.org>
Date:	2009-02-05

    Preliminary addition of Polish translation

    svn path=/trunk/; revision=8394

A	help/pl/pl.po

commit 6489cd71d559e3520176a2dedbe2f45c1a7e1f0f
Author: Vincent Untz <vuntz@src.gnome.org>
Date:	2009-02-04

    Fix a bunch of compiler warnings. Bug #570422.

    svn path=/trunk/; revision=8393

M	ChangeLog
M	src/baobab-chart.c

commit 2b1c90c1e41facb9e5073366a2c9dba060db34c4
Author: Luca Ferretti <lferrett@src.gnome.org>
Date:	2009-01-29

    Fix tags in Italians translations (Close #553051)


    svn path=/trunk/; revision=8387

M	help/ChangeLog
M	help/it/it.po

commit 1a94e91fc8c6e4a94cf9df4d2d8b180040fdec8c
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2009-01-27

    Updated authors

    svn path=/trunk/; revision=8385

M	AUTHORS
M	ChangeLog
M	src/callbacks.c

commit 5d5778b2209ebb8dd5fcc669c5ed8bb6c62cdb79
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2009-01-15

    #567834

    svn path=/trunk/; revision=8378

M	ChangeLog
M	src/baobab.c

commit 651e7f4142691a8bef71da16eb2256f2c9bb0ec5
Author: Cosimo Cecchi <cosimoc@src.gnome.org>
Date:	2008-12-03

    Use single GTK+ includes. Patch by Maxim Ermilov (#561257).

    svn path=/trunk/; revision=8200

M	ChangeLog
M	src/baobab-cell-renderer-progress.h
M	src/baobab-chart.h
M	src/baobab-remote-connect-dialog.h
M	src/gedit-spinner.c
M	src/gedit-spinner.h

commit b5c05d0c9f2be3b7a73b0a646f01140570f4443a
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:	2008-11-25

    Updated Catalan documentation

    svn path=/trunk/; revision=8197

M	help/ChangeLog
M	help/ca/ca.po

commit 99ae462fc871cc7971f7c2a7cfab16e9ea807bdd
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-11-22

    Now root partition cannot be unselected.

    svn path=/trunk/; revision=8192

M	ChangeLog
M	src/baobab-prefs.c

commit 058896e0dd3c64a706282be199ccf1d835580bed
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-11-22

    Fix excluded locations sanity check.

    2008-11-22	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	Fix excluded locations sanity check.


    svn path=/trunk/; revision=8190

M	ChangeLog
M	src/baobab.c

commit e659c91f19594ca8f8d8689a1a7bc8528696f48c
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-11-22

    Fix logic bug that made it return always FALSE.

    2008-11-22	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c: (baobab_is_excluded_location):
	Fix logic bug that made it return always FALSE.


    svn path=/trunk/; revision=8188

M	ChangeLog
M	src/baobab.c

commit 6dccd5f3d940e88c3dc4d865a244d799459b3462
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2008-10-26

    Plug a mem leak.

    2008-10-26	Cosimo Cecchi  <cosimoc@gnome.org>

	    * src/baobab-utils.c:
	    (baobab_help_display):
	    Plug a mem leak.

    svn path=/trunk/; revision=8169

M	ChangeLog
M	src/baobab-utils.c

commit 0aec7a72549766900299539a3c6a578ee5d9a2ab
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2008-10-26

    Removed. Removed.

    2008-10-26	Cosimo Cecchi  <cosimoc@gnome.org>

	    * src/Makefile.am:
	    * src/baobab-mount-operation.c: Removed.
	    * src/baobab-mount-operation.h: Removed.
	    * src/baobab-remote-connect-dialog.c:
	    (connect_server_dialog_present_uri):
	    * src/baobab-utils.c:
	    (baobab_help_display):
	    * src/baobab.c:
	    (main):
	Drop libgnome dependency (#557264).

    svn path=/trunk/; revision=8168

M	ChangeLog
M	src/Makefile.am
D	src/baobab-mount-operation.c
D	src/baobab-mount-operation.h
M	src/baobab-remote-connect-dialog.c
M	src/baobab-utils.c
M	src/baobab.c

commit 880ae9c5e01b4ef0186c364230990ab73ffd8c1d
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-10-26

    Fixes #557226

    svn path=/trunk/; revision=8166

M	ChangeLog
M	src/baobab-scan.c
M	src/baobab-scan.h
M	src/baobab-utils.c
M	src/baobab-utils.h

commit 6e9f1d49e93e46abd4900e097cd2d3544b518d49
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-10-04

    #fixes 554996

    svn path=/trunk/; revision=8141

M	ChangeLog
M	src/baobab-treeview.c

commit 719bd56913b590ad3dbeaf6ac38569d0a9d6ce58
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-10-04

    small cleanup patch by Kristian Rumberg.

    2008-10-04	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c: small cleanup patch by Kristian Rumberg.

    svn path=/trunk/; revision=8140

M	ChangeLog
M	src/baobab-utils.c

commit d907074e82d91289488bbd999db97dc382b375e7
Author: Claude Paroz <claude@2xlibre.net>
Date:	2008-09-23

    Updated French translation.

    2008-09-23	Claude Paroz  <claude@2xlibre.net>

	* fr/fr.po: Updated French translation.

    svn path=/trunk/; revision=8130

M	help/ChangeLog
M	help/fr/fr.po

commit 66b6613743ab8d100f8d30077ac9bd9755a02205
Author: Timo Jyrinki <tjyrinki@src.gnome.org>
Date:	2008-09-22

    Updated Finnish translations (Closes: #553050)

    svn path=/trunk/; revision=8129

M	help/ChangeLog
M	help/fi/fi.po

commit 4f83dfaaabc420ba7a5ee10ef4e5091e70b9a49f
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:	2008-09-21

    Updated Danish translation of baobab documentation

    svn path=/trunk/; revision=8121

M	help/ChangeLog
M	help/da/da.po

commit 5c065d2e0c009ed87f302299685233646bb383a5
Author: Wouter Bolsterlee <wbolster@src.gnome.org>
Date:	2008-09-15

    fix merge conflict markers

    svn path=/trunk/; revision=8102

M	ChangeLog

commit cb295b97311ff2a4c4d78bc7c4374cfa2816b089
Author: Patryk Zawadzki <pzawadzki@src.gnome.org>
Date:	2008-09-13

    dd Filesystem to baobab desktop, change dictionary category to
    Office/Dictionary, drop redhatism from system log viewer (#552054)

    svn path=/trunk/; revision=8094

M	data/baobab.desktop.in.in

commit 29ff7c605dc2e14ecb2d66864d470a680ab8a287
Author: Mario Blättermann <mariobl@src.gnome.org>
Date:	2008-09-12

    Added German translation

    svn path=/trunk/; revision=8092

M	help/ChangeLog
M	help/Makefile.am
A	help/de/de.po
A	help/de/figures/baobab_fullscan.png
A	help/de/figures/baobab_prefs.png
A	help/de/figures/baobab_remote.png
A	help/de/figures/baobab_window.png

commit 51a5e3388a8d32a5a7ee12461ff820b21a270458
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-09-11

    Translators warning added

    svn path=/trunk/; revision=8085

M	ChangeLog
M	src/baobab-remote-connect-dialog.c

commit 58dcabe66aa330a6ab2cbc7814a0a8bbe643e5b6
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-09-01

    skip gvfs fuse mounts

    svn path=/trunk/; revision=8040

M	ChangeLog
M	src/baobab-prefs.c

commit 9d851703848856f6b29e897f7132921f5734f9f5
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-08-30

    Skip all subdirs of ~/.gvfs in order to avoid scanning gvfs fuse
    mounts as

    2008-08-30	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c: Skip all subdirs of ~/.gvfs in order to avoid
	scanning gvfs fuse mounts as local files. It would be cool to have
	a less hackish way to do it.


    svn path=/trunk/; revision=8037

M	ChangeLog
M	src/baobab-scan.c

commit 80528a23bc2caa1af750b4459a1f897d223cea40
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-08-04

    Patch contributed by Eduardo Lima <elima@igalia.com>, bug #541407

    2008-08-04	Paolo Borelli  <pborelli@katamail.com>

	Patch contributed by Eduardo Lima <elima@igalia.com>, bug #541407

	* src/baobab-chart.c:
	* src/baobab.c:
	* src/baobab-ringschart.c:
	* src/baobab-chart.h:
	* src/baobab.h:
	* src/baobab-rngschart.h:
	* src/callbacks.c:
	* src/callbacks.h:

	Reimplemeny the ringschart as a subclass of BaobabChart.


    svn path=/trunk/; revision=7986

M	ChangeLog
M	src/baobab-chart.c
M	src/baobab-chart.h
M	src/baobab-ringschart.c
M	src/baobab-ringschart.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 60ca5e94b164ff55286096872499c21b45681361
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2008-07-26

    plug tiny leak

    svn path=/trunk/; revision=7981

M	ChangeLog
M	src/baobab-scan.c

commit 0f3f731587af50db9673f6a57340d8a97611eee2
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-07-25

    include headers to fix compiler warnings.

    2008-07-25	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-treemap.c: include headers to fix compiler warnings.


    svn path=/trunk/; revision=7979

M	ChangeLog
M	src/baobab-treemap.c

commit 37f9ea9fd99259667e784cebd27c30e2bf4a640e
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-07-25

    bug #544637

    svn path=/trunk/; revision=7978

M	ChangeLog
M	src/gedit-spinner.c

commit 0d612ef89532c3b8cda6cbbd74b26c80b315dc09
Author: Timo Jyrinki <tjyrinki@src.gnome.org>
Date:	2008-07-18

    Add Finnish translation by Jukka Heikkilä.

    svn path=/trunk/; revision=7971

M	help/ChangeLog
M	help/Makefile.am
A	help/fi/fi.po
A	help/fi/figures/baobab_fullscan.png
A	help/fi/figures/baobab_prefs.png
A	help/fi/figures/baobab_remote.png
A	help/fi/figures/baobab_ringschart1.png
A	help/fi/figures/baobab_ringschart2.png
A	help/fi/figures/baobab_treemaps.png
A	help/fi/figures/baobab_window.png

commit 6d21530feb6b6e6d8c19ef6374784eea948a0a94
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-07-13

    Typo fixed

    svn path=/trunk/; revision=7967

M	ChangeLog
M	data/baobab.1

commit 80ae4afeb50ffb6fce22e357d6a2b51b11a69a7d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2008-07-05

    Added Traditional Chinese translation(Hong Kong). Added zh_HK zh_TW to

    2008-07-05	Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	    * zh_HK/zh_HK.po:  Added Traditional Chinese translation(Hong
    Kong).
	    * Makefile.am: Added zh_HK zh_TW to DOC_LINGUAS.



    svn path=/trunk/; revision=7961

M	help/ChangeLog
M	help/Makefile.am
A	help/zh_HK/zh_HK.po

commit 205c731f2e802d1c26e05e281741ca6ef6aa84e5
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2008-07-05

    Added Chinese (traditional) translation.

    2008-07-05	Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	    * zh_TW/zh_TW.po:  Added Chinese (traditional) translation.



    svn path=/trunk/; revision=7959

M	help/ChangeLog
A	help/zh_TW/zh_TW.po

commit c0c0a3509fdcf912971a7d44346f24ce3cf5fb53
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2008-06-30

    Fixed a typo applying the last patch.


	* src/baobab-treemap.h: Fixed a typo applying the last patch.


    svn path=/trunk/; revision=7956

M	ChangeLog
M	src/baobab-treemap.h

commit e6c44f2fabcce041c1f209fffbfbf720794f2c19
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2008-06-28

	Patch contributed by Eduardo Lima <elima@igalia.com>, bug #530512

	Implemented a new treemap object and moved into the main window,
	now we can select with a combobox in the main window which graph
	we want: ringschart or treemap. We have used the ringschart code
	in order to create a new abstract class and the new treemap just
	inherits from it and changes the rendering, in the near future we
	will change the ringschart in order to use this new abstract
	class.

	* data/baobab.glade:
	* src/Makefile.am:
	* src/baobab-graphwin.c:
	* src/baobab-graphwin.h:
	* src/baobab-tree-map.c:
	* src/baobab-tree-map.h:
	* src/baobab-treeview.c
	(on_tv_cur_changed),
	(on_tv_button_press):
	* src/baobab-utils.c
	(popupmenu_list):
	* src/callbacks.h:
	* src/callbacks.c
	(on_tv_selection_changed),
	(on_move_upwards_cb),
	(on_zoom_in_cb),
	(on_zoom_out_cb),
	(on_chart_type_change):
	Removed files, code and options in the menu that were used to show
	the old treemap. Notice we have removed GnomeCanvas dependency
	which was removed in the configure.ac file

	    * src/baobab-chart.c:
	    * src/baobab-chart.h:
	    * src/baobab-treemap.c:
	    * src/baobab-treemap.h:
	New objects, the chart is the new abstract class, the treemap is
	the new graphical representation, treemap inherits from chart. As
	we said before the code from chart is copied from ringschart, in
	the near future we must change ringschart in order to inherit also
	from chart.

	* src/baobab.h:
	* src/baobab.c
	(baobab_set_busy),
	(check_menu_sens),
	(baobab_scan_location),
	(initialize_ringschart),
	(main):
	Added the code to manage the new treemap in the program.


    svn path=/trunk/; revision=7954

M	ChangeLog
M	data/baobab.glade
M	src/Makefile.am
A	src/baobab-chart.c
A	src/baobab-chart.h
D	src/baobab-graphwin.c
D	src/baobab-graphwin.h
D	src/baobab-tree-map.c
D	src/baobab-tree-map.h
A	src/baobab-treemap.c
A	src/baobab-treemap.h
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 31e52f10bf46ea1ed8047d471d91d8ed671dab40
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2008-05-14

    Fixed a misspelled sentence describing the goal of one gconf key
    (#532479)


	* data/baobab.schemas.in: Fixed a misspelled sentence describing
	the goal of one gconf key (#532479)


    svn path=/trunk/; revision=7932

M	ChangeLog
M	data/baobab.schemas.in

commit 20c02d15ae0da8c5feed38e81c3ecb1a78edb79c
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-05-11

    fixed trash logic

    svn path=/trunk/; revision=7930

M	ChangeLog
M	src/baobab-utils.c
M	src/baobab-utils.h

commit 6e969d924bf5df37f003101a88100ad45136796a
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2008-05-11

    Added a new extended timeout for the subfolders tooltips. A memory
    leak


	* src/baobab-ringschart.c: Added a new extended timeout for the
	subfolders tooltips. A memory leak and some small style
	modifications.
	(draw_tooltips): extended the condition for drawing the subfolders
	tooltips, we do not draw them until the second timeout.
	(draw_folder_tip): Fixed a memory leak.
	(baobab_ringschart_no_pointer_motion): Added a second timeout
	where we set to TRUE the draw_children_tooltips variable.


    svn path=/trunk/; revision=7929

M	ChangeLog
M	src/baobab-ringschart.c

commit 1c10d8aacec39d6af5e03d36f7d16c4ffd05f4c3
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2008-05-11

    Remove three lines setting the status of the application from this


	* src/baobab.c:
	(baobab_stop_scan): Remove three lines setting the status of the
	application from this function, baobab_scan_location is already
	doing these actions, so the functions were called twice.


    svn path=/trunk/; revision=7928

M	ChangeLog
M	src/baobab.c

commit 54d0262422d046131d9c7ed28992a9158973596c
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2008-05-08

    Patch cotributed by Victor Jaquez <vjaquez@igalia.com>


	    Patch cotributed by Victor Jaquez <vjaquez@igalia.com>

	    * src/baobab-ringschart.c (bug #528165):
	    (baobab_ringschart_expose): Added code to control Enhance the
	    scale operation of the screenshot image, not it scales
	    properly.


    svn path=/trunk/; revision=7924

M	ChangeLog
M	src/baobab-ringschart.c

commit 2144b144f36f2024991445055637d22dcfc3fd1f
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2008-05-08

    Patch contributed by Felipe Erias <femorandeira@igalia.com>, Pablo


	Patch contributed by Felipe Erias <femorandeira@igalia.com>, Pablo
	Santamaria <psantamaria@igalia.com>, Jacobo Aragunde
	<jaragunde@igalia.com> and Eduardo Lima <elima@igalia.com>

	Enhancement to the ringschart widget, added multiple tooltips
	support (bug #421473)

	* src/baobab.c:
	(baobab_scan_location): We set the max depth after scanning in
	order to zoom the graphic as much as possible.
	(baobab_subfolderstips_toggled): This function is a callback that
	manages changes in the gconf key that controls the subfolders
	tips.
	(baobab_init): Monitor the gconf subfolders tooltips key
	connecting the callback.
	(create_context_menu): Create a context menu with three actions:
	go to the parent, zoom in and zoom out.
	(initialize_ringschart): Initialize max_depth so we get the
	biggest zoom for the initial ringschart. We also get the gconf
	value for the subfolders tips and create the context menu.

	* src/baobab.h:
	Added a new struct to manage the context menu. Added also a new
	variable to the baobab_application struct, it is used to store the
	maximum depth of the tree we are representing.

	* src/baobab-ringschart.c:
	* src/baobab-ringschart.h:
	Added two functions to the API in order to control the new
	feature, adding subfolderstips. If we enable the subfoldertips we
	will see the tooltip for the sector (directory) under the cursor
	and tooltips for "some" of its children.

	The way the tooltip for the sector under the cursor is painted has
	changed, now the tooltip is not painted all the time, if follows
	the cursor and the user has to stop over the sector.

	Added zoom support to the widget, it is connected to the
	scrolling.

	* src/callbacks.c:
	* src/callbacks.h:
	(on_rchart_button_release): Callback that handles the context
	sensitive menu.
	(on_move_upwards_cb): Callback for an option in the menu, it tries
	to go to parent of the current directory.
	(on_zoom_in_cb): Callback for an option in the menu, it decreases
	the maximum depth of the ringschart, that way the graphic is
	bigger because we paint less levels.
	(on_zoom_out_cb): Callback for an option in the menu, it increases
	the maximum depth of the ringschart, that way the graphic is
	smaller because we paint more levels.

	* src/baobab-scan.c:
	Added a new parameter to the allsizes struct in order to calculate
	the depth of the tree.
	(loopdir): Added a new parameter in order to calculate the depth
	of the tree.
	(baobab_scan_execute): Store the maximum depth of the tree we have
	scanned in the application structure. We will use it to calculate
	the proper zoom for the tree.


    svn path=/trunk/; revision=7923

M	ChangeLog
M	data/baobab.schemas.in
M	src/baobab-ringschart.c
M	src/baobab-ringschart.h
M	src/baobab-scan.c
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 56ba61818c62bce277391913fa561c4f2d94980d
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-05-05

    added baobab-mount-operation module

    svn path=/trunk/; revision=7921

M	ChangeLog
M	src/Makefile.am
A	src/baobab-mount-operation.c
A	src/baobab-mount-operation.h
M	src/baobab-remote-connect-dialog.c
M	src/baobab-scan.c

commit a8e3165a48629319e1ca18d9d2d64ca55060adbb
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-05-05

    fixed extra line

    svn path=/trunk/; revision=7919

M	ChangeLog
M	src/baobab-remote-connect-dialog.c

commit b2ffa4b118ba62963579a18c306cfc055c59d313
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2008-05-05

    do not link with gnome-vfs

    svn path=/trunk/; revision=7918

M	src/Makefile.am

commit cb6de9510e80849c0fee3ca4ab4b07e68f017b05
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2008-05-05

    do not leak the error

    svn path=/trunk/; revision=7917

M	src/baobab-remote-connect-dialog.c

commit 22a04ef4198d81a83fe6abc53d7bff38fef6ee9d
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-05

    More fixups for the dialog

    2008-05-04	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-remote-connect-dialog.c:
	More fixups for the dialog

    svn path=/trunk/; revision=7916

M	ChangeLog
M	src/baobab-remote-connect-dialog.c

commit 1cfea99bd5a81d224e09e75d1c3fe3ac8fc2436f
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-05-04

    Finished clean-up for gnome-vfs

    svn path=/trunk/; revision=7914

M	ChangeLog
M	src/baobab-remote-connect-dialog.h
M	src/baobab.c

commit 2ad24c724643621b3357464a39a17d3ac713e40d
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-04

    First cut at gio port of the remote connect dialog (mostly borrowing
    code

    2008-05-04	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-remote-connect-dialog.c:
	* src/baobab-remote-connect-dialog.h:
	* src/callbacks.c:
	First cut at gio port of the remote connect dialog (mostly
	borrowing
	code from nautilus).

    svn path=/trunk/; revision=7913

M	ChangeLog
M	src/baobab-remote-connect-dialog.c
M	src/baobab-remote-connect-dialog.h
M	src/callbacks.c

commit 762b51188b9e921b926a9c998dc161f6f4a38960
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-03

    Store the parse name in the model so that we do not have to use
    path or

    2008-05-03	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	* src/baobab-scan.c:
	* src/baobab-treeview.c:
	* src/baobab-treeview.h:
	* src/callbacks.c:
	Store the parse name in the model so that we do not have to use
	path or uri condtionally to the fact that the file is local
	or remote.


    svn path=/trunk/; revision=7912

M	ChangeLog
M	src/baobab-scan.c
M	src/baobab-treeview.c
M	src/baobab-treeview.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c

commit d1206740aa3170f3fb10b69671c1a9c5ec2c65d2
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-03

    get the display name from gio instead of manually getting the
    basename.

    2008-05-03	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	* src/baobab-scan.c:
	get the display name from gio instead of manually getting the
	basename.
	Also be robust to the fact that remote files have no path, so that
	needs to be checked before comparin with "/proc".


    svn path=/trunk/; revision=7911

M	ChangeLog
M	src/baobab-scan.c
M	src/baobab.c
M	src/baobab.h

commit 42a5a69645d6e1bb8c9812ca6f0c26ae98e5e6f6
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-03

    now that baobab-scan has been ported to gio baobab_is_excluded_dir
    can be

    2008-05-03	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	now that baobab-scan has been ported to gio baobab_is_excluded_dir
	can be removed.


    svn path=/trunk/; revision=7910

M	ChangeLog
M	src/baobab.c
M	src/baobab.h

commit 7c1637abc0f09976f4136beb50a4be4e62fb9767
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2008-05-03

    make sure to also ask about UNIX_NLINK

    svn path=/trunk/; revision=7908

M	src/baobab-scan.c

commit 36965efc3db3f2b2aba455d94aa9f3b541781abf
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2008-05-03

    plug one more leak

    svn path=/trunk/; revision=7907

M	src/baobab-scan.c

commit 944a194549273e534d7916c2c55aecf4d3163ea1
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-03

    Some leak fixes and cleanups by Cosimo Cecchi.

    2008-05-03	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab-scan.c:
	* src/baobab-utils.c:
	Some leak fixes and cleanups by Cosimo Cecchi.


    svn path=/trunk/; revision=7906

M	ChangeLog
M	src/baobab-scan.c
M	src/baobab-utils.c
M	src/baobab.c

commit 86dbc8831be01b0e47db943029b24d4a5717cc82
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-02

    pass in the GFileInfo to the recursive loop to avoid to call stat()
    again

    2008-05-02	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c: pass in the GFileInfo to the recursive loop
	to avoid to call stat() again on each file.


    svn path=/trunk/; revision=7905

M	ChangeLog
M	src/baobab-scan.c

commit 933dc0ced9ba95a8b38df714973ef1cb3398655f
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-02

    Ref the location before rescanning otherwise the current location gets

    2008-05-02	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	Ref the location before rescanning otherwise the current location
	gets finalized. Also make sure the Rescan button is insensitive
	when
	there is no current location.


    svn path=/trunk/; revision=7904

M	ChangeLog
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c

commit 864d1633fde1a4bf005474becbb9ad4ac26445f0
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-02

    Rename getDir to baobab_scan_execute and make it take a GFile.

    2008-05-02	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c:
	* src/baobab-scan.h:
	* src/baobab.c:
	Rename getDir to baobab_scan_execute and make it take a GFile.


    svn path=/trunk/; revision=7903

M	ChangeLog
M	src/baobab-scan.c
M	src/baobab-scan.h
M	src/baobab.c

commit 513511d72abc583d0abfbd95c8154885699aee4d
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2008-05-02

    add some credit

    svn path=/trunk/; revision=7902

M	ChangeLog

commit 550a31fe69b26c11725aa09c03299b88300b72bc
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-05-02

    migration to Gio of scanning module

    svn path=/trunk/; revision=7901

M	ChangeLog
M	src/baobab-scan.c

commit 93ce8874ca761ad26755beb1de234f90c29b9e1a
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-02

    Make the cursor busy in the set_busy function.

    2008-05-02	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab.h:
	* src/callbacks.c:
	Make the cursor busy in the set_busy function.


    svn path=/trunk/; revision=7900

M	ChangeLog
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c

commit 674c6e6a0fc2a6388a7f744806668322c263f338
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-05-02

    still gio migration

    svn path=/trunk/; revision=7899

M	ChangeLog
M	src/baobab-graphwin.c
M	src/baobab-prefs.c

commit 7f0864f412d5c7a3b8854d5402c0731c5903c566
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-05-01

    Continuing migration to Gio

    svn path=/trunk/; revision=7897

M	ChangeLog
M	data/baobab.schemas.in
M	src/baobab-prefs.c
M	src/baobab-prefs.h
M	src/baobab-utils.c
M	src/baobab.c
M	src/baobab.h

commit 64270fed33eb11c3b657519561423097c4f01bf9
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-01

    Factor out a can_trash_file util and use the proper display name when

    2008-05-01	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c:
	* src/baobab-treeview.c:
	* src/callbacks.c:
	Factor out a can_trash_file util and use the proper display name
	when showing an error about failed trashing of a file.


    svn path=/trunk/; revision=7896

M	ChangeLog
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/callbacks.c

commit fd5806abc4f6e6923ecfca7e4b2d7e7dd168c247
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-01

    Rename "start_proc_on_location" to "baobab_scan_location" for
    consistency

    2008-05-01	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c:
	* src/baobab.c:
	* src/baobab.h:
	* src/callbacks.c:
	Rename "start_proc_on_location" to "baobab_scan_location" for
	consistency with the rest of the API and move the stop_scan method
	to the main baobab API.


    svn path=/trunk/; revision=7895

M	ChangeLog
M	src/baobab-utils.c
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c

commit c7fdf08397cf8bf5fb034fd4fa74502899de24f3
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-05-01

    Make the list of excluded dirs private to baobab.c in preparation
    to turn

    2008-05-01	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c:
	* src/baobab.c:
	* src/baobab.h:
	* src/baobab-prefs.c:
	* src/baobab-scan.c:

	Make the list of excluded dirs private to baobab.c in preparation
	to turn it into a list of GFiles.


    svn path=/trunk/; revision=7893

M	ChangeLog
M	src/baobab-prefs.c
M	src/baobab-scan.c
M	src/baobab-utils.c
M	src/baobab.c
M	src/baobab.h

commit d03db5bac02865cd217052920bb0d1d0223fb3e5
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2008-04-30

    Add a getter for the selected uri instead of abusing of

    2008-04-29	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-remote-connect-dialog.c:
	* src/baobab-remote-connect-dialog.h:
	Add a getter for the selected uri instead of abusing of
	'last_scan_command'

	* src/baobab-utils.c:
	use baobab_rescan_current_dir instead of open coding it

	* src/baobab.c:
	* src/baobab.h:
	Remove last_scan_command and use a private GFile location
	to remember
	the current scan. Factor out functions to scan home and root.

	* src/callbacks.c
	Adapt to the above changes

    svn path=/trunk/; revision=7892

M	ChangeLog
M	src/baobab-remote-connect-dialog.c
M	src/baobab-remote-connect-dialog.h
M	src/baobab-utils.c
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c

commit ab032b5ff302c9a9b32183a62f96f9f9c56dfd5c
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-04-30

    Gio migration

    svn path=/trunk/; revision=7891

M	ChangeLog
M	src/baobab-prefs.c
M	src/baobab.c
M	src/callbacks.c
M	src/callbacks.h

commit 675ff670d5a735534cf4bbb30914975225bc3f72
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-04-29

    starting gio migration

    svn path=/trunk/; revision=7890

M	ChangeLog
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c

commit 3dc99b8ad962276870852db6dea27d7c85603006
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-04-14

    BUGZILLA 52084

    svn path=/trunk/; revision=7883

M	ChangeLog
M	src/baobab.c

commit 559a5f1613720718f5e4adc57905c5bd0958b061
Author: Vasiliy Faronov <qvvx@yandex.ru>
Date:	2008-04-06

    Added Russian translation.

    2008-04-07	Vasiliy Faronov  <qvvx@yandex.ru>

	* ru/ru.po: Added Russian translation.


    svn path=/trunk/; revision=7876

M	help/ChangeLog
M	help/Makefile.am
A	help/ru/figures/baobab_fullscan.png
A	help/ru/figures/baobab_prefs.png
A	help/ru/figures/baobab_remote.png
A	help/ru/figures/baobab_window.png
A	help/ru/ru.po

commit 6b6a4ce5e84fbdf8ef1d6c6e52898a959a368e36
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:	2008-03-26

    fix strings not marked as translatable (#523524)

    2008-03-26	Sebastien Bacher  <seb128@ubuntu.com>

	* src/baobab.c: (main): fix strings not marked as translatable
	(#523524)


    svn path=/trunk/; revision=7855

M	ChangeLog
M	src/baobab.c

commit dc29ed29a72acffc0ac9ca3887dffd76176cef09
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-03-17

    Fixed copyright date

    svn path=/trunk/; revision=7851

M	ChangeLog
M	src/callbacks.c

commit bb06c1d9123ff88ec018adc9051312fae5258562
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2008-03-15

    sv.po: Updated Swedish translation

    svn path=/trunk/; revision=7850

M	help/ChangeLog
M	help/sv/sv.po

commit 8ffabf08267a361dbe418aed256084f0b664fc55
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-03-12

    Updated Spanish translation

    svn path=/trunk/; revision=7849

M	help/ChangeLog
M	help/es/es.po

commit 8c8115405eca4b00a0f41872ad139629fdbe898f
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2008-03-11

    Bugzilla 521422

    svn path=/trunk/; revision=7848

M	ChangeLog
M	help/C/baobab.xml

commit 988e1318d693d365a05f294630d5aa4e508797de
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:	2008-03-09

    Forgot changelog

    svn path=/trunk/; revision=7845

M	help/ChangeLog

commit 9bdde58805f95ef1178f39bbef40bb5839abb62a
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:	2008-03-09

    Added Danish translation

    svn path=/trunk/; revision=7844

M	help/Makefile.am
A	help/da/da.po

commit 72fad1850ce6ce271e72e73a955241449bd3c7e4
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-03-08

    Updated Spanish translation

    svn path=/trunk/; revision=7836

M	help/ChangeLog
M	help/es/es.po
A	help/es/figures/baobab_fullscan.png
A	help/es/figures/baobab_prefs.png
A	help/es/figures/baobab_remote.png
A	help/es/figures/baobab_ringschart1.png
A	help/es/figures/baobab_ringschart2.png
A	help/es/figures/baobab_treemaps.png
A	help/es/figures/baobab_window.png

commit 0f8617de8aff245378c6f95028fbc396c296b6ef
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	2008-03-07

    Do not show the gnome-util components on KDE. (#431117 and #520913)

    2008-03-07	Emmanuele Bassi  <ebassi@gnome.org>

	* baobab/data/baobab.desktop.in.in:
	* gfloppy/gfloppy.desktop.in:
	* gnome-dictionary/data/gnome-dictionary.desktop.in.in:
	* gnome-screenshot/gnome-screenshot.desktop.in:
	* gsearchtool/gnome-search-tool.desktop.in:
	* logview/gnome-system-log.desktop.in.in: Do not show the
	gnome-util components on KDE. (#431117 and #520913)

    svn path=/trunk/; revision=7831

M	data/baobab.desktop.in.in

commit e33b787028e23000911fcd251ebd03003b59cd75
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2008-02-28

    sv.po: Updated Swedish translation

    svn path=/trunk/; revision=7821

M	help/ChangeLog
M	help/sv/sv.po

commit f8cb633da137f36b5f9c87ad5251df531995825c
Author: Luca Ferretti <elle.uca@libero.it>
Date:	2008-02-27

    Added Italian translation by Andrea Zagli.

    2008-02-27	Luca Ferretti  <elle.uca@libero.it>

	* Makefile.am:
	* it.po:
	Added Italian translation by Andrea Zagli.


    svn path=/trunk/; revision=7816

M	help/ChangeLog
M	help/Makefile.am
A	help/it/it.po

commit 050178e20cb55a948b46686e550b1f92489add4e
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:	2008-01-20

    Updated Occitan translation

    svn path=/trunk/; revision=7786

M	help/ChangeLog
M	help/oc/oc.po

commit 8120cf4d9d7015bacdb8a92dda4c968f6114c78f
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-01-18

    Updated Spanish translation

    svn path=/trunk/; revision=7785

M	help/ChangeLog
M	help/es/es.po

commit 608a94ae37f556a64bbab01881582a533ce194c9
Author: Claude Paroz <claude@2xlibre.net>
Date:	2008-01-11

    Updated French translation.

    2008-01-11	Claude Paroz  <claude@2xlibre.net>

	* fr/fr.po: Updated French translation.

    svn path=/trunk/; revision=7781

M	help/ChangeLog
A	help/fr/figures/baobab_ringschart2.png
M	help/fr/fr.po

commit 4ed7423a31a0e7db7e6b5fe47332711531bda9df
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2008-01-08

    run gtk-update-icon-cache for install-hook and uninstall-hook. Fixes

    2008-01-05	Christian Kirbach <Christian.Kirbach@googlemail.com>

	* pixmaps/24x24/Makefile.am (update-icon-cache):
	* pixmaps/scalable/Makefile.am (update-icon-cache): run
	gtk-update-icon-cache for
	install-hook and uninstall-hook. Fixes #436204
	Original patch by Brian Pepple <bpepple@fedoraproject.org>

    svn path=/trunk/; revision=7776

M	ChangeLog
M	pixmaps/24x24/Makefile.am
M	pixmaps/scalable/Makefile.am
M	src/baobab-scan.c
M	src/baobab-treeview.c
M	src/baobab.c

commit eb8727fdbe936fcf36e1aeb1af85f0794d5e6eb2
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:	2007-12-31

    Updated Occitan translation

    svn path=/trunk/; revision=7770

M	help/oc/oc.po

commit bc7e33755a1480d20f152fd2eb830e9ce4a673ec
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2007-12-30

    Updated Swedish translation.

    * sv/sv.po: Updated Swedish translation.


    svn path=/trunk/; revision=7769

M	help/ChangeLog
M	help/sv/sv.po

commit c5c31e33530f4fa3b8cd2322f4084c98f4734b91
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2007-12-14

    start processing the uri given on command line in an idle so that
    the main

    2007-12-14	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c: start processing the uri given on command line in
	an idle so that the main loop is properly started. Fixes #497415.


    svn path=/trunk/; revision=7765

M	ChangeLog
M	src/baobab.c

commit 421e2c085cf9937826ad79781987b3582faa904b
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2007-12-13

    Updated Spanish translation

    svn path=/trunk/; revision=7762

M	help/ChangeLog
M	help/es/es.po

commit f28a983f509adf65bc0d4b692c093396ea0fb13f
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-12-13

    Updated help

    svn path=/trunk/; revision=7761

M	ChangeLog
M	help/C/baobab.xml
A	help/C/figures/baobab_ringschart1.png
A	help/C/figures/baobab_ringschart2.png

commit 2806f496bc5e51899c36e0f2d006d5dcd28dd38f
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-12-02

    Bugzilla 501082

    svn path=/trunk/; revision=7758

M	ChangeLog
M	src/baobab-prefs.c

commit 729663a047ea77565f632c6c5c213e80f57bf452
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-11-22

    Bugzilla #498859

    svn path=/trunk/; revision=7756

M	ChangeLog
M	src/baobab.c

commit 50f62859ce5fba7616d18ccb7d80b71c165ceccd
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:	2007-11-20

    Updated Occitan translation

    svn path=/trunk/; revision=7755

M	help/oc/oc.po

commit abd83d00dede0338d88a35d8fe8ed17f434da868
Author: Stéphane Loeuillet <sloeuille@src.gnome.org>
Date:	2007-10-23

    Trivial fixes to all .desktop files to conform to latest fd.o .desktop
    specs. Spoted by desktop-file-validate. Fixes #481721

    svn path=/trunk/; revision=7745

M	ChangeLog
M	data/baobab.desktop.in.in

commit 05067be24f28ed85382532d3ec267aa1b759b52e
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-10-16

    Bugzilla #487123

    svn path=/trunk/; revision=7742

M	ChangeLog
M	src/baobab-utils.c
M	src/baobab.c
M	src/baobab.h

commit 27cf71fdb40481724cecc2ee206904dd0a610d9b
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:	2007-10-03

    Updated Occitan translation

    svn path=/trunk/; revision=7739

M	help/oc/oc.po

commit 21baafc81c6ee9e7060a9baa13183de67bd51f85
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2007-09-12

    Updated Spanish translation

    svn path=/trunk/; revision=7705

M	help/ChangeLog
M	help/es/es.po

commit 7d2a58d53bb32d2a6c75e06311911458d702a6f3
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-09-09

    Updated copyright information

    svn path=/trunk/; revision=7691

M	ChangeLog
M	src/callbacks.c

commit 028644e9526795e218cda281b305dac9bc559929
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	2007-09-05

    BUGZILLA #473833 - Infinite recursion in /sys

    2007-09-05	Emmanuele Bassi  <ebassi@gnome.org>

	* src/baobab-scan.c:
	BUGZILLA #473833 - Infinite recursion in /sys

    svn path=/trunk/; revision=7628

M	ChangeLog
M	src/baobab-scan.c

commit f49381c33550543604eff2117173b1a5dd25e257
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	2007-09-04

    Only show the GNOME Utilities in GNOME menus. (#431117, Sven
    Arvidsson)

    2007-09-04	Emmanuele Bassi  <ebassi@gnome.org>

	* gnome-screenshot/gnome-screenshot.desktop.in:
	* baobab/data/baobab.desktop.in.in:
	* gnome-dictionary/data/gnome-dictionary.desktop.in.in:
	* gsearchtool/gnome-search-tool.desktop.in:
	* logview/gnome-system-log.desktop.in.in:
	* gfloppy/gfloppy.desktop.in: Only show the GNOME Utilities
	in GNOME menus. (#431117, Sven Arvidsson)

    svn path=/trunk/; revision=7625

M	data/baobab.desktop.in.in

commit eb5db6495c2cee62255fd3de7fb9f635135bff9d
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:	2007-09-01

    Updated Occitan translation

    svn path=/trunk/; revision=7618

M	help/oc/oc.po

commit 6dafd186e5210b8cd7086d10cda3bcd5d5fa1623
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:	2007-08-25

    Updated Occitan translation

    svn path=/trunk/; revision=7590

M	help/Makefile.am
A	help/oc/oc.po

commit 17440db5bad87458cd545efca2a6759d840cac8a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	2007-08-17

    Remove invalid .desktop category "Application". (#417654, Christian

    2007-08-17	Emmanuele Bassi  <ebassi@gnome.org>

	* baobab/data/baobab.desktop.in.in:
	* gfloppy/gfloppy.desktop.in:
	* gnome-dictionary/data/gnome-dictionary.desktop.in.in:
	* gnome-screenshot/gnome-screenshot.desktop.in:
	* gsearchtool/gnome-search-tool.desktop.in:
	* logview/gnome-system-log.desktop.in.in: Remove invalid .desktop
	category "Application". (#417654, Christian Kirbach)

    svn path=/trunk/; revision=7572

M	data/baobab.desktop.in.in

commit 9533b91c943f6d375e53859d8b104418db847ee9
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-08-01

    bugzilla 462424

    svn path=/trunk/; revision=7533

M	ChangeLog
M	src/baobab-utils.c

commit 32858f6faedfd5f6770d7715ab8d4e62b39ea3a7
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-07-17

    bugzilla 453742

    svn path=/trunk/; revision=7527

M	ChangeLog
M	src/baobab.c

commit 2b08d3ed5bd41ad23cc8e10cc3a43bf25402d3cb
Author: Alejandro G. Castro <acastro@igalia.com>
Date:	2007-07-16

    Patch cotributed by Philippe Gauthier <philippe.gauthier@deuxpi.ca>


    2007-07-16 Alejandro G. Castro <acastro@igalia.com>

	    Patch cotributed by Philippe Gauthier
	    <philippe.gauthier@deuxpi.ca>

	    * src/baobab-ringschart.c (bug #427126):
	    (baobab_ringschart_expose): Fixed a problem with the draw
	    of the
	    frozen status of the ringschart widget, we were using
	    the event
	    information instead of the widget allocation. Added a
	    cairo_clip
	    to avoid uneeded redraws.


    svn path=/trunk/; revision=7526

M	ChangeLog
M	src/baobab-ringschart.c

commit eacd63d640aa908b1580da0846188adf1f76bc31
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2007-06-03

    make sure that file chooser pointer is nullified upon destruction.

    2007-06-03	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-utils.c: make sure that file chooser pointer
	is nullified upon destruction.


    svn path=/trunk/; revision=7513

M	ChangeLog
M	src/baobab-utils.c

commit 681fa17775f8134983c39855db42e8487bfb1c5f
Author: Jordi Mas <jmas@softcatala.org>
Date:	2007-06-02

    Catalan translation by Gil Forcada

    2007-06-02	Jordi Mas <jmas@softcatala.org>

	* ca/ca.po: Catalan translation by Gil Forcada


    svn path=/trunk/; revision=7510

M	help/ChangeLog
M	help/Makefile.am
A	help/ca/ca.po

commit 882b98fcff9eed59c18070c565c5a288454fcab0
Author: Roberto Majadas <telemaco@src.gnome.org>
Date:	2007-04-09

    Updated spanish translation


    svn path=/trunk/; revision=7483

M	help/ChangeLog
M	help/es/es.po

commit 5f300373ed6b6a921c10fd1e3bc87b00880b057e
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-04-02

    bugzilla 425530

    svn path=/trunk/; revision=7477

M	ChangeLog
M	data/baobab.desktop.in.in

commit d5fa98a23f3bf3be5379690efbca8309643fb6af
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-03-28

    bugzilla #421922

    svn path=/trunk/; revision=7470

M	ChangeLog
M	src/callbacks.c

commit dc42c6fea51f48e34028448f3d6a4cabc6ff6df8
Author: Maxim Dziumanenko <dziumanenko@gmail.com>
Date:	2007-03-13

    Update Ukrainian translation.

    2007-03-13 Maxim Dziumanenko <dziumanenko@gmail.com>

	* Update Ukrainian translation.


    svn path=/trunk/; revision=7463

M	help/ChangeLog
M	help/Makefile.am
A	help/uk/uk.po

commit 980ce468743d87d036101782fc8565f20c49fc85
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-03-12

    Add size for each mounted partition in preferences window

    svn path=/trunk/; revision=7459

M	ChangeLog
M	src/baobab-prefs.c
M	src/baobab-prefs.h

commit ce5471c13b0072cc2b8d871b06b041cf9de19d44
Author: Christophe Bliard <christophe.bliard@trux.info>
Date:	2007-03-02

    Updated French translation. Updated screenshots.

    2007-03-02	Christophe Bliard  <christophe.bliard@trux.info>

	    * fr/fr.po: Updated French translation.
	    * fr/figures/*png: Updated screenshots.


    svn path=/trunk/; revision=7434

M	help/ChangeLog
M	help/fr/figures/baobab_fullscan.png
M	help/fr/figures/baobab_prefs.png
M	help/fr/figures/baobab_remote.png
M	help/fr/figures/baobab_window.png
M	help/fr/fr.po

commit 80251a3c4759ae9820ee03eb5c919b6aff6aea44
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2007-02-27

    revert last commit, it break the freeze.

    svn path=/trunk/; revision=7431

M	ChangeLog
M	src/baobab-prefs.c
M	src/baobab-prefs.h

commit 92adfb3d7aa54928943aae7401a614ea1f5526ed
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-02-27

    Dimension in preferences window

    svn path=/trunk/; revision=7430

M	ChangeLog
M	src/baobab-prefs.c
M	src/baobab-prefs.h

commit affa9fc997059b46f4ba444439c2419b4e6f90fa
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2007-02-26

    Resort when toggling "allocated space".

    2007-02-26	Paolo Borelli  <pborelli@katamail.com>

	* src/baoab-treeview.c:
	* src/callbacks.c:

	Resort when toggling "allocated space".


    svn path=/trunk/; revision=7427

M	ChangeLog
M	src/baobab-treeview.c
M	src/baobab-treeview.h
M	src/callbacks.c

commit 8deb680bf2cd73a9a8d28a99cfa43d96dd637378
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-02-26

    BUGZILLA #411867

    svn path=/trunk/; revision=7426

M	ChangeLog
M	src/baobab.c

commit 05c66db84e60a1f8206cf77e66ec6f1efefc1b3c
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2007-02-13

    Add tooltip to refresh toolbar button

    svn path=/trunk/; revision=7404

M	ChangeLog
M	data/baobab.glade

commit de0adcf821783ce055f0d684a380dc8a3bed62f0
Author: David Lodge <dlodge@src.gnome.org>
Date:	2007-01-28

    Added (British) English translation of baobab docs

    svn path=/trunk/; revision=7376

M	help/ChangeLog
M	help/Makefile.am
A	help/en_GB/en_GB.po

commit 8652b2f58a6139a8a4ea5c2e7f057d0088810c08
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2007-01-09

    do not assert that percentage is > 0, it can be -1 when the scan is

    2007-01-09	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-ringschart.c: do not assert that percentage
	is > 0, it can be -1 when the scan is stopped.


    svn path=/trunk/; revision=7323

M	ChangeLog
M	src/baobab-ringschart.c

commit 10f9669fc8532ebbbb6be9f295b907224772777a
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2007-01-04

    Turn the percentage column is a double, since ringschart uses it for

    2007-01-04	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab-treeview.c:
	* src/baobab-ringschart.c:
	* src/baobab-utils.c:

	Turn the percentage column is a double, since ringschart
	uses it for display calculation and since the progress cell
	renderer uses doubles. Percentage set to -1 now means that
	analysis is in progress.
	Drop the percentual text string from the model, we can use
	a simple cell_data_function and save some memory.


    svn path=/trunk/; revision=7309

M	ChangeLog
M	src/baobab-cell-renderer-progress.c
M	src/baobab-ringschart.c
M	src/baobab-treeview.c
M	src/baobab-treeview.h
M	src/baobab-utils.c
M	src/baobab.c

commit 515ca52b8e34b7890ae427b04451b66d0f8a9a60
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-12-26

    small cleanups I found in an ols src tree.

M	ChangeLog
M	src/baobab-ringschart.c
M	src/baobab-ringschart.h
M	src/baobab-tree-map.c

commit f4dfa7ae3ded5419f1844c295cff3bf9dba16e2d
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2006-12-12

    simplify logic and fix drawing problem of the central circle when
    crossing

    2006-12-12	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-ringschart.c (baobab_ringschart_motion_notify):
	simplify logic and fix drawing problem of the central circle
	when crossing the x axis.

M	ChangeLog
M	src/baobab-ringschart.c

commit 2fd2104d6c73de6107eca42137684063bc69dd0e
Author: Daniel Nylander <po@danielnylander.se>
Date:	2006-12-11

    Updated Swedish translation. Updated screenshots.

    2006-12-11	Daniel Nylander <po@danielnylander.se>

	* sv/sv.po: Updated Swedish translation.
	* sv/figures/*png: Updated screenshots.

M	help/ChangeLog
M	help/sv/figures/baobab_fullscan.png
M	help/sv/figures/baobab_prefs.png
M	help/sv/figures/baobab_remote.png
M	help/sv/figures/baobab_window.png
M	help/sv/sv.po

commit 8cad635d60cdf7db321fa54b1ac8bdf4bac5e247
Author: Francisco Javier F. Serrador <serrador@openshine.com>
Date:	2006-11-23

    Added Spanish translation.

    2006-11-23	Francisco Javier F. Serrador  <serrador@openshine.com>

	* es.po: Added Spanish translation.

M	help/ChangeLog
M	help/Makefile.am
A	help/es/es.po

commit a0039ac887c7e48dcc3f81a0dad2220417325b1f
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-11-06

    updated help

M	help/C/baobab.xml
M	help/ChangeLog

commit 209ddd847e51eb6f5d128ba6c1cef06f30d60bce
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-11-06

    updated figures

M	help/C/figures/baobab_fullscan.png
M	help/C/figures/baobab_prefs.png
M	help/C/figures/baobab_remote.png
M	help/C/figures/baobab_window.png
M	help/ChangeLog

commit 9fd0d7588462735293539cdcf944dd3e845415fe
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2006-11-05

    Changed all the M_PI constants for G_PI, there are some platforms
    where


	    * src/baobab-ringschart.c: Changed all the M_PI constants for
	    G_PI, there are some platforms where the math constants
	    are not
	    defined.
	    (tree_traverse): Fixed a problem with a GtkTreePath, we
	    were using
	    g_free instead gtk_tree_path_free and it was causing a leak.

M	ChangeLog
M	src/baobab-ringschart.c

commit 86d6678bef1a1e3bd61303a1b0cdab0908c99628
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2006-11-05

	    Patch cotributed by Miguel A. Gomez <magomez@igalia.com>

	    * src/baobab-ringschart.c (bug #363608):
	    (draw_tip): Changed the way the tips are drawn. Now the
	    lines to
	    the tips don't have corners, and the tips can be drawn
	    all around
	    the window (not only by the left and right edges). Made
	    a little
	    adjustment to tip rectangles in order to avoid blurry borders.

M	ChangeLog
M	src/baobab-ringschart.c

commit f934dfdf823f5ac3b6bc28dedb5aca7609b97a15
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2006-11-05

    Patch cotributed by Miguel A. Gomez <magomez@igalia.com>


	    Patch cotributed by Miguel A. Gomez <magomez@igalia.com>

	    * src/baobab-ringschart.c (bug #363613):
	    (draw_circle): Added a new parameter 'highlighted' in order to
	    draw the sector highlighted if it is selected.
	    (interpolate_colors): Added a new paremeter 'color' to
	    return the
	    result of the function.
	    (get_color): Added a new parameter 'highlighted' in order
	    to get a
	    highlighted color for selected sectors.
	    (baobab_ringschart_draw): Modified in order to draw the center
	    circle before calling 'tree_traverse'.
	    (tree_traverse): Removed calls to 'draw_circle' to draw
	    the inner
	    circle.

M	ChangeLog
M	src/baobab-ringschart.c

commit 1552fa41fd10f030f895b6b3264b13064c757543
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-10-28

    cleanup

M	ChangeLog
M	src/baobab-utils.c

commit b9c2d797dd7e5877a1ae6b345c7e720df33e8070
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-10-28

    blocksize

M	ChangeLog
M	src/baobab-scan.c

commit 0e248edce917d445ede2a7545633fe60a6a629ad
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2006-10-28

    Clean up a bit Hard links handling so that we just store inode
    and device

    2006-10-28	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab-scan.c:
	* src/baobab-scan.h:

	Clean up a bit Hard links handling so that we just store
	inode and device in the list instead of the full
	GnomeVfsFileInfo.

M	ChangeLog
M	src/baobab-scan.c
M	src/baobab-scan.h

commit 0a6ad3a8c0b658f3fabd9193cc8e44d1c1a3d0ea
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2006-10-28

    Add a 'Refresh' action. (bug #365086, reported by Matthias Clasen,
    first

    2006-10-28	Paolo Borelli  <pborelli@katamail.com>

	* data/baobab.glade:
	* data/baobab:
	* src/baobab-utils.c:
	* src/callbacks.c:

	Add a 'Refresh' action. (bug #365086, reported by
	Matthias Clasen, first patch by Emmanuele Bassi)

M	ChangeLog
M	data/baobab.glade
M	src/baobab-utils.c
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit d68347ddec37993b8ea392349a032dd965dfda7e
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-10-24

    Removed obsolete pixmaps

M	ChangeLog
M	pixmaps/Makefile.am
D	pixmaps/alfa_sort.png
D	pixmaps/baobab.png
D	pixmaps/busy.gif
D	pixmaps/done.png
D	pixmaps/format_numeric.png
D	pixmaps/format_percent.png
D	pixmaps/green.png
D	pixmaps/nautilus.png
D	pixmaps/num_sort.png
D	pixmaps/red.png
D	pixmaps/scan_directory.png
D	pixmaps/scan_harddisk.png
D	pixmaps/search.png
D	pixmaps/searchall.png
D	pixmaps/stop.png
D	pixmaps/white.png
D	pixmaps/yellow.png

commit 5325f68caebb08ac8cc34c47503c4b02c603673a
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-10-24

    use a custom cell renderer instead of the pixbuf bars

M	ChangeLog
M	src/Makefile.am
A	src/baobab-cell-renderer-progress.c
A	src/baobab-cell-renderer-progress.h
M	src/baobab-treeview.c
M	src/baobab-treeview.h
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c

commit 5e9c77a7270ad4a1ed273f51dccd8a8b99ebfb1b
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2006-10-22

    reduce memory usage, free the name before recursing.

    2006-10-22	Paolo Borelli  <pborelli@katamail.com>

	* src/gedit-tree-map.c: reduce memory usage, free the name
	before recursing.

M	ChangeLog
M	src/baobab-tree-map.c

commit 07ec46631040e7a0209d4f3bfd20983cba54b2b5
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2006-10-21

    do not fetch VfsInfo twice.

    2006-10-21	Paolo Borelli  <pborelli@katamail.com>

	* src/gedit-scan.c: do not fetch VfsInfo twice.

M	ChangeLog
M	src/baobab-scan.c

commit 1450bfe1686a79c8bc4f82722c9b340c68414219
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-10-19

    sync spinner code

M	ChangeLog
M	src/baobab-treeview.c
M	src/gedit-spinner.c
M	src/gedit-spinner.h

commit 45b9d6feb44f934dff217d764047d87b891eb8fa
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-10-19

    Bugzilla #351987

M	ChangeLog
M	src/baobab-scan.c

commit 6e1eecd46893aa4dc0c15a369f0dca40a52351f5
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-10-14

    forgot to add/rm files

D	src/baobab-spinner.c
D	src/baobab-spinner.h
A	src/gedit-spinner.c
A	src/gedit-spinner.h

commit d069e7fd7d7bfb63c29f9b1758ca0edf1716174c
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-10-14

    update spinner and stuff

M	ChangeLog
M	src/Makefile.am
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h

commit 93674507dadd7adf13cc100a5be97716fb4d6563
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-10-11

    Closed #355187

M	ChangeLog
M	src/baobab-treeview.c

commit 22ee891f7e95b0d004074e62e4ba6f00471d9701
Author: Christophe Bliard <christophe.bliard@trux.info>
Date:	2006-10-08

    Added initial French translation. Added directory + translated
    figures.

    2006-10-08	Christophe Bliard <christophe.bliard@trux.info>

	    * fr/fr.po: Added initial French translation.
	    * fr/figures: Added directory + translated figures.
	    * Makefile.am: Added fr to DOC_LINGUAS.

M	help/ChangeLog
M	help/Makefile.am
A	help/fr/figures/baobab_fullscan.png
A	help/fr/figures/baobab_prefs.png
A	help/fr/figures/baobab_remote.png
A	help/fr/figures/baobab_treemaps.png
A	help/fr/figures/baobab_window.png
A	help/fr/fr.po

commit 9b2df55cbd63d24dc68d3ca1d17b89b77f0de2ad
Author: Elijah Newren <newren gmail com>
Date:	2006-10-07

    Remove markup from translatable messages. #360451

    2006-10-07	Elijah Newren  <newren gmail com>

	* baobab/src/baobab.c (first_row): Remove markup from translatable
	messages.  #360451

M	src/baobab.c

commit 1ce8b850f05ec11314ca9fd947dfdb87460b7aa3
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-10-04

    Updated authors

M	AUTHORS
M	ChangeLog
M	src/callbacks.c

commit 0c3413d2774e103ed5ae845071c6943a8e495b2d
Author: Daniel Nylander <po@danielnylander.se>
Date:	2006-10-03

    Updated Swedish translation. Updated screenshots.

    2006-10-03	Daniel Nylander <po@danielnylander.se>

	* sv/sv.po: Updated Swedish translation.
	* sv/figures/*png: Updated screenshots.

M	help/ChangeLog
M	help/sv/figures/baobab_fullscan.png
M	help/sv/figures/baobab_prefs.png
M	help/sv/figures/baobab_remote.png
M	help/sv/figures/baobab_window.png
M	help/sv/sv.po

commit 25165ac47b6919026e8adc5d17e3b39e5895ef37
Author: Alejandro Garcia Castro <acastro@src.gnome.org>
Date:	2006-10-02

    Added the ringschart widget to the main window of baobab. (GB #355988)


       * Added the ringschart widget to the main window of baobab. (GB
       #355988)
	* data/baobab.glade: Added the GtkPaned and the GtkScrolledWindow
	to the new main window in order to integrate the ringschart
	widget.
	* src/baobab-ringschart.[ch]: New widget representing a ringschart
	that is used in the main window to represent the size of
	directories.
	* src/Makefile.am: Added the new widget to the sources list.
	* src/baobab-treeview.c:
	(create_directory_treeview): Selection changed signal connected to
	a new callback that synchronizes the status of the treeview with
	the ringschart.
	* src/baobab.c:
	(set_busy): Added the control of the ringschart widget when the
	scanning process starts and finishes, we can't draw the ringschart
	when the treemodel is being scanned.
	(initialize_ringschart): Added this function, it creates and
	initializes the ringschart.
	(main): Called the initialize_ringschart function.
	* src/baobab.h: Added the new attribute to the application
	structure.
	* src/callbacks.c:
	(on_tv_selection_changed):
	(on_rchart_sector_activated): this two callbacks synchronize the
	treeview and the ringschart of the main window, when the user
	clicks in a row in the treeview that sector is selected in the
	ringschart.
	* src/callbacks.h: Added the include for the ringschart widget, we
	have also added the interfaces for the two new callbacks.

	This patch adds the ringschart view to the main window.

M	ChangeLog
M	data/baobab.glade
M	src/Makefile.am
A	src/baobab-ringschart.c
A	src/baobab-ringschart.h
M	src/baobab-treeview.c
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 59ef4010b3696a3aa279d5492ce0968f013b56b4
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-09-22

    Removed old web address

M	ChangeLog
M	src/callbacks.c

commit b58b88e4993291ef05d9049f8842499b97e602bc
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-09-16

    couple more tiny leaks

M	ChangeLog
M	src/baobab-treeview.c
M	src/baobab-utils.c

commit f70016aa674b75896c23b895e2d2b8da1377c1eb
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-09-16

    do not leak pixbuf

M	ChangeLog
M	src/baobab.c

commit 5c28f789154374a5b9864eb2af1716d4fe88f913
Author: Dennis Cranston <dennis_cranston@yahoo.com>
Date:	2006-09-09

    HIG fix: Use title capitalization for column headers


    2006-09-09	Dennis Cranston  <dennis_cranston@yahoo.com>

	* src/baobab-prefs.c: (create_tree_props):

	HIG fix:  Use title capitalization for column headers

M	ChangeLog
M	src/baobab-prefs.c

commit 42e838da0408a743c220f9a5a56ea709719f8ea0
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-09-09

    Removed any reference to file-search functionality in docs

M	AUTHORS
M	ChangeLog
M	README
M	TODO
M	data/baobab.1
M	help/C/baobab.xml

commit 18ab2c79e341abd11a958ee68aa50322593b9ffc
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-09-09

    Added .cvsignore

M	ChangeLog
A	pixmaps/24x24/.cvsignore
A	pixmaps/scalable/.cvsignore

commit 753815e1f935c4b6d33f7ecef309a8dd7eb49139
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-09-09

    Added filesystem type in preferences dialog

M	ChangeLog
M	src/baobab-prefs.c
M	src/baobab-prefs.h

commit dba05014cee1597aaa1eb0ceabab939f876251a7
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-09-09

    Updated figures

M	help/C/figures/baobab_fullscan.png
M	help/C/figures/baobab_prefs.png
M	help/C/figures/baobab_remote.png
M	help/C/figures/baobab_window.png
M	help/ChangeLog

commit eb8785e565dd1cc6358d0803eca373875e0d60e9
Author: Dennis Cranston <dcransto@src.gnome.org>
Date:	2006-09-09

    Remove file


    Remove file

D	pixmaps/baobab.xpm

commit dd5a41685e7a45fddde9b478ae4703c1ea37059c
Author: Dennis Cranston <dcransto@src.gnome.org>
Date:	2006-09-09

    New files


    New files

A	pixmaps/24x24/Makefile.am
A	pixmaps/24x24/baobab.png
A	pixmaps/scalable/Makefile.am
A	pixmaps/scalable/baobab.svg

commit bb57249d0cd67794063d95e0aaa3d2f10e6f7eb2
Author: Dennis Cranston <dennis_cranston@yahoo.com>
Date:	2006-09-09

    Add 24x24 and scalable Makefiles. Add 24x24 and scalable
    subdirectories.


    2006-09-09	Dennis Cranston  <dennis_cranston@yahoo.com>

	* configure.in: Add 24x24 and scalable Makefiles.
	* baobab/pixmaps/Makefile.am: Add 24x24 and scalable
	subdirectories.  Remove baobab.xpm and its installation.
	* baobab/pixmaps/24x24/Makefile.am: New file.
	* baobab/pixmaps/24x24/baobab.png:  New file.
	* baobab/pixmaps/scalable/Makefile.am: New file.
	* baobab/pixmaps/scalable/baobab.svg: New file.

M	pixmaps/Makefile.am

commit 34fd617cc4df49530b8a4587edf558fd0a8391d7
Author: Dennis Cranston <dcransto@src.gnome.org>
Date:	2006-09-09

    New spinner files.


    New spinner files.

A	src/baobab-spinner.c
A	src/baobab-spinner.h

commit ab2b07b4d1948c759fc9b0c891143873717bed54
Author: Dennis Cranston <dcransto@src.gnome.org>
Date:	2006-09-09

    *** empty log message ***

M	src/Makefile.am
M	src/baobab-graphwin.c
M	src/baobab-prefs.c
M	src/baobab-remote-connect-dialog.c
M	src/baobab-scan.c
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 81cb984fce1e3c5216d25679800cd9c55e1a046e
Author: Dennis Cranston <dennis_cranston@yahoo.com>
Date:	2006-09-09

    BUGZILLA: #349187, #350457, #351185, #351534, #351538, #351540,
    #351544,


    2006-08-27	Dennis Cranston  <dennis_cranston@yahoo.com>

	BUGZILLA: #349187, #350457, #351185, #351534, #351538, #351540,
	#351544, #351545, #351546, #352147 and #351532.

	* data/baobab.glade: Remove search dialog and tab.  More HIG
	related fixes for the graphical usage map window. Add a scan home
	directory item to menu and toolbar.  Add expand all and collapse
	items all items to edit menu.  In the preference dialog, add a
	help button and rephrase a some strings.  Add a stop menu item to
	the view menu.
	* data/baobab.dekstop.in.in: Change tooltip to match style used
	in GNOME.
	* data/baobab.schemas.in:  Don't show the statusbar by default.
	* src/Makefile.am: Add baobab-spinner.[ch]
	* src/baobab-spinner.[ch]: New files for spinner widget.
	* src/baobab-graphwin.c: (graph_save_cb): HIG fixes for the save
	snapshot dialog, (baobab_graphwin_create):  HIG fixes for window
	title.
	* src/baobab-prefs.c: (props_notify): remove, (response_cb): Add
	filechooser callback to handle the close and help responses,
	(create_props):  Connect to the response signal.
	* src/baobab-remote-connect-dialog.c: (remote_connect): HIG fixes,
	(setup_for_type): Get entries from required or optional table,
	(baobab_remote_connect_dialog_init): HIG fixes for remote scan
	dialog, separate entries into required and optional categories.
	* src/baobab-scan.c: (loopsearch): Remove, (searchDir): Remove.
	* src/baobab-utils.h: Remove search functions and adjust
	arguments.
	* src/callbacks.h:  Remove sort and search callbacks.  Add home
	folder scan callbacks.	Add allocated space menu item callback.
	* src/baobab-treeview.c: (on_tv_cur_changed): Remove notebook tab
	logic, (on_tv_button_press): Remove notebook tab logic,
	, (create_directory_treeview): Add column headers and setup the
	appropriate column ids for sorting. Merge the percentage and
	percentage bar columns into a single column.  Show horizontal
	and vertical scrollbars as needed. (baobab_treeview_equal_func):
	Make gtk treeview "typeahead find" work, add column headers and
	sort.
	* src/baobab-utils.c: (filechooser_cb): New function to handle
	filechooser response, (dir_select):  Create the filechooser widget
	once, don't show hidden folders by default. (set_bar): Fix
	compiler
	warning, (check_menu_sens): toggle sensivity of expand, collapse
	and stop menu items , (stop_scan): Remove notebook logic,
	(show_bars):  Remove scanning message when scan is stopped,
	(message): Add primary and secondary text, (messageyesno): HIG
	fixes, do not use yes and no buttons, instead use cancel and
	action
	label button, and support primary and secondary text,
	(baobab_check_dir): String fixes, (popupmenu_list): HIG fixes to
	popup menu, and remove a redundant menu item, (set_label_scan):
	Cleanup a string, (open_file_with_application), (trash_file),
	(contents_changed): HIG fixes for dialogs.
	* src/baobab.h: Remove search logic.
	* src/baobab.c: (set_busy): Start or stop the spinner
	animation, (start_proc_on_dir): Remove notebook tab logic,
	(prefill_model) Show treeview column
	headers, (first_row): Hide treeview column headers,
	(fill_model): Replace "object" with "item" to match nautilus'
	terminology, add an initial bar and percentage, move scanning text
	to size and contents columns, this helps prevent resizing of the
	folder column, (baobab_init): Remove search logic,
	(baobab_shutdown): remove search logic, (main): Add a "spring"
	separator and the spinner widget to toolbar, set initial state
	of the "Allocated Space" menu item.
	* src/callbacks.c: (on_menuhomedir_activate): Add callback for
	home directory scan menu item, (on_about_activate): Fix spelling,
	(on_menu_expand_activate):  Add callback to expand treeview,
	(on_menu_collapse_activate): Add callback to collapse treeview,
	(on_tbscanhome_clicked): Add callback for home directory scan
	toolbar button, (on_menu_stop_activate): Add callback for stop
	menu item, (open_file_cb), update message() arguments,
	(volume_changed): Remove notebook tab logic,
	(on_ck_allocated_activate): Remove the sort callbacks, and add
	activate callback for "Allocated Space" menu item,
	(scan_folder_cb): update message() arguments.

M	ChangeLog
M	data/baobab.desktop.in.in
M	data/baobab.glade
M	data/baobab.schemas.in

commit ece65e6003aba9615c2fd9c76472d77817a51251
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-27

    fixed cvsignore

M	help/.cvsignore
M	help/ChangeLog

commit cb5555df876df7de450eb11c23d6c08ee7b7960d
Author: Paolo Borelli <pborelli@katamail.com>
Date:	2006-08-27

    do not crash if toolbar style can't be retrieved from GConf.

    2006-08-27	Paolo Borelli  <pborelli@katamail.com>

	* src/baobab.c:
	* src/baobab-utils.[ch]:

	do not crash if toolbar style can't be retrieved from GConf.

M	ChangeLog
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c

commit e5ad00d190e28c9f316820da02c6f11486dc0ace
Author: Daniel Nylander <po@danielnylander.se>
Date:	2006-08-20

    Added initial Swedish translation. Added directory. Added sv to

    2006-08-20	Daniel Nylander <po@danielnylander.se>

	* sv/sv.po: Added initial Swedish translation.
	* sv/figures: Added directory.
	* Makefile.am: Added sv to DOC_LINGUAS

M	help/ChangeLog
M	help/Makefile.am
A	help/sv/figures/baobab_fullscan.png
A	help/sv/figures/baobab_prefs.png
A	help/sv/figures/baobab_remote.png
A	help/sv/figures/baobab_treemaps.png
A	help/sv/figures/baobab_window.png
A	help/sv/sv.po

commit 9bd076ee8e696802ab6b2d0d553cfa6a40a0a7c4
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-08-17

    small optimization

M	ChangeLog
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h

commit e817e3fa148c7017783bd2bc1e0137d147789201
Author: Wouter Bolsterlee <uws+gnome@xs4all.nl>
Date:	2006-08-15

    Added Escape shortcut for the Stop button. Partly fixes bug
    #351532. Patch

    2006-08-16	Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* data/baobab.glade: Added Escape shortcut for the Stop
	button. Partly fixes bug #351532. Patch by Dave Meikle.

M	ChangeLog
M	data/baobab.glade

commit 84b5722574e2af54f9f2a4a3617adc445b356274
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-08-15

    ctrl+o for open

M	ChangeLog
M	data/baobab.glade

commit 9aab9b08a65b38f21e9ac4b6e6dc0b2cacd80086
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-08

    #350420

M	ChangeLog
M	src/callbacks.c

commit 54c4af6c3fd79ecaf65ebe859797cf529e357819
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-07

    Fixed hidden bug on allocated size

M	ChangeLog
M	src/baobab-utils.c

commit b5f88c4838df27d5cb31378084e2cdb9bdc9782f
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-08-07

    ...without leaking

M	src/baobab-treeview.c

commit 744792ff0f971bb68aa2c7708ff3adfee32041df
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-08-07

    escape '>' in gmarkup

M	ChangeLog
M	src/baobab-treeview.c

commit 76fd0e5d1e3eab9d9b10b2a3b029c83c5bf71393
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-07

    backu up last log

M	src/baobab-prefs.c
M	src/baobab-scan.c
M	src/baobab-scan.h
M	src/baobab-treeview.c
M	src/baobab-treeview.h
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit 7640daa23b2e0665f91eb55d91b5b0a2586e77d8
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-06

     back out last commit, it should go on a branch

M	ChangeLog
M	data/baobab.glade

commit 1eaa8e145d65b31207de952762d866e87036bc52
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-05

     Removed file-seach feature

M	ChangeLog
M	data/baobab.glade
M	src/baobab-prefs.c
M	src/baobab-scan.c
M	src/baobab-scan.h
M	src/baobab-treeview.c
M	src/baobab-treeview.h
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/baobab.c
M	src/baobab.h
M	src/callbacks.c
M	src/callbacks.h

commit ca9310ec605f4db0e9ae94c83be1a5267af39254
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-04

    fixed typo

M	ChangeLog
M	src/baobab-utils.c

commit 9dbb13e10711959d126f22feb8e3b7900336bdbf
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-08-04

    percentage bar on not fully-scanned folders

M	ChangeLog
M	src/baobab-utils.c

commit 33da9ffb75ca0546c1e683fc587f9734169c4208
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-07-30

     Commenting code and adding an assert

M	ChangeLog
M	src/baobab.c

commit 295f762a4f11472c832d44a6cae0c86c22a84f4e
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-07-30

    Avoid exclusion of root dir from scanning

M	ChangeLog
M	src/baobab.c

commit dbe9a208e0e08f3e850883646be1cfeefdce6360
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-07-30

    Trapping div by zero error

M	ChangeLog
M	src/baobab.c

commit b804920a16add3d62bf3a84f3ed1ed342c4db517
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-07-30

    #349191

M	ChangeLog
M	data/baobab.desktop.in.in
M	data/baobab.glade

commit 9f2bc88d47c193dc8dea9ffc9c66e59e989a92d8
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-07-29

    Changed application icon (#348663)

M	ChangeLog
M	pixmaps/baobab.png
M	pixmaps/baobab.xpm

commit a7e9b479176c9ae2c01a6da9bbd99ae54a8879de
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-07-27

    removed baobab from desktop appname

M	ChangeLog
M	data/baobab.desktop.in.in

commit 8496c1f2882bf3bfa82785f7ee9b0c74db8b3bf7
Author: Emmanuele Bassi <ebassi@cvs.gnome.org>
Date:	2006-07-24

    Add GenericName key to the desktop file. (#348363, reported by
    Matthias

    2006-07-24	Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* data/baobab.desktop.in.in: Add GenericName key to the
	desktop file. (#348363, reported by Matthias Clasen,
	patch by Ray Strode)

M	ChangeLog
M	data/baobab.desktop.in.in

commit 16dc2684e2c99d94c316f7c58c625b270b03850f
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-07-18

    dos2unix

M	src/baobab-tree-map.c

commit 0d7afdcf80e6a23ffe2cd95f0ac51d988cb0f73a
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-07-17

    fix gcc 2.95 compilation

M	ChangeLog
M	src/baobab-tree-map.c
M	src/baobab-treeview.c
M	src/callbacks.c

commit 68e2274c24206307f6baab7dab31ece62b77bc00
Author: Emmanuele Bassi <ebassi@src.gnome.org>
Date:	2006-06-12

    Release 2.15.3

M	help/C/baobab.xml

commit 1c7d41e1413ac2fe9ff838569038cccd3105afc9
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-05-09

    Added new menu item in list/search window popupmenu to start
	    scanning a folder directly from the list/search window

M	ChangeLog
M	src/baobab-utils.c
M	src/callbacks.c
M	src/callbacks.h

commit 03d3d3bd600a82ae09f7764fea07b4df3315d1f7
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-05-03

    Drafting Usage section

M	help/C/baobab.xml
A	help/C/figures/baobab_fullscan.png
A	help/C/figures/baobab_remote.png
M	help/ChangeLog

commit 4d04e5b0670a8d948ca5c823a14be3ac2a8915fc
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-05-01

    * src/baobab-treeview.c: (on_tv_button_press)

M	ChangeLog
M	src/baobab-treeview.c

commit f947049ed71164e68bbb5bcbac3e92e98d764d00
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-28

    fixed bug

    * src/baobab-treeview.c: (on_tv_button_press): fixed bug

M	ChangeLog
M	src/baobab-treeview.c

commit a60e2c39e05781499ac06648edc23fd3f57e95e6
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-27

    Still drafting the help file

M	help/C/baobab.xml
A	help/C/figures/baobab_prefs.png
M	help/ChangeLog

commit 42efce38dd8ce07096a4e98bf07127d1fadaaec5
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-26

    fixed figures fixed monitor logic

     * help/C/baobab.xml: fixed figures
	    * src/callbacks.c: (trash_dir_cb): fixed monitor logic

M	ChangeLog
M	help/C/baobab.xml
M	src/callbacks.c

commit a5627684707e33c91fa165c023467e3de800034a
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-26

     More editing on help file

M	help/C/baobab.xml
A	help/C/figures/baobab_treemaps.png
A	help/C/figures/baobab_window.png
M	help/ChangeLog

commit e2c3ba8ea22867cd5b1bd70b71dff9287487cdaf
Author: Paolo Borelli <pborelli@src.gnome.org>
Date:	2006-04-26

    show help

M	ChangeLog
M	data/baobab.glade
M	src/baobab-utils.c
M	src/baobab-utils.h
M	src/callbacks.c
M	src/callbacks.h

commit bf66c677ca2d97322f14d16542245e7f45c241bd
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-25

    editing help file

    * C/baobab.xml: editing help file

M	help/C/baobab.xml
M	help/ChangeLog

commit 7c65790b78553a77365a273efaab6f828febb2cf
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-25

    editing help file

    * help/C/baobab.xml: editing help file

M	ChangeLog
M	help/C/baobab.xml

commit 4f7a929e423b0c1fe00a969963ec3d6c3dbe166e
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-25

    updated

    * data/.cvsignore: updated

M	ChangeLog
M	data/.cvsignore

commit c29e1ad1bc95b9cdd1637ebf2a23a0010b1b25e3
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-25

    Fixed: #339521

M	ChangeLog
M	data/baobab.glade
M	src/baobab-treeview.c
M	src/baobab-utils.c
M	src/baobab-utils.h

commit 2085b9d1d003ae27b3edde3b55679484a2eebd6d
Author: Fabio Marzocca <marzocca@src.gnome.org>
Date:	2006-04-25

    updated man page

    * data/baobab.1: updated man page

M	ChangeLog
M	data/baobab.1

commit 76f8763296ba3aac4f92273bb3374073e419f0fb
Author: Dennis Cranston <dennis_cranston@yahoo.com>
Date:	2006-04-24

    Many HIG changes, including capitalization, widget layout, menu
    layout,

    2006-04-23	Dennis Cranston  <dennis_cranston@yahoo.com>

	* data/baobab.glade:  Many HIG changes, including capitalization,
	widget layout, menu layout, and more.
	* src/baobab-remote-connect-dialog.c:
	(baobab_remote_connect_dialog_init):  Fix window title
	capitalization.
	* src/baobab-utils.c: (dir_select):  Fix window title
	capitalization.
	* src/baobab-treeview.c: (create_search_model):  Update to
	updated menu item.

M	ChangeLog
M	data/baobab.glade
M	src/baobab-remote-connect-dialog.c
M	src/baobab-treeview.c
M	src/baobab-utils.c

commit 6dfaa37e88a8af8445ee6cb6818e126b27eecf3c
Author: Emmanuele Bassi <ebassi@cvs.gnome.org>
Date:	2006-04-23

    Revert the libglade hack, and add a BFN about it.

    2006-04-23	Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* data/Makefile.am: Revert the libglade hack, and add a BFN
	about it.

	* pixmaps/Makefile.am: Use datadir instead of pkgdatadir.

	* help/.cvsignore: Update.

M	ChangeLog
M	data/Makefile.am
M	help/.cvsignore
M	pixmaps/Makefile.am

commit efee3d6a47f9f0ef2bd3e2b879b6d26302e4c5ac
Author: Emmanuele Bassi <ebassi@src.gnome.org>
Date:	2006-04-23

    Fix dumb typo

M	data/Makefile.am

commit 253a387c66a5c666adb115980580e4aaf54e6f66
Author: Emmanuele Bassi <ebassi@src.gnome.org>
Date:	2006-04-23

    Initial import of baobab

A	.cvsignore
A	AUTHORS
A	ChangeLog
A	Makefile.am
A	README
A	TODO
A	data/.cvsignore
A	data/Makefile.am
A	data/baobab.1
A	data/baobab.desktop.in.in
A	data/baobab.glade
A	data/baobab.schemas.in
A	help/.cvsignore
A	help/C/baobab.xml
A	help/C/legal.xml
A	help/ChangeLog
A	help/Makefile.am
A	help/baobab.omf.in
A	pixmaps/.cvsignore
A	pixmaps/Makefile.am
A	pixmaps/alfa_sort.png
A	pixmaps/baobab.png
A	pixmaps/baobab.xpm
A	pixmaps/busy.gif
A	pixmaps/done.png
A	pixmaps/format_numeric.png
A	pixmaps/format_percent.png
A	pixmaps/green.png
A	pixmaps/nautilus.png
A	pixmaps/num_sort.png
A	pixmaps/red.png
A	pixmaps/scan_directory.png
A	pixmaps/scan_harddisk.png
A	pixmaps/search.png
A	pixmaps/searchall.png
A	pixmaps/shot.png
A	pixmaps/stop.png
A	pixmaps/white.png
A	pixmaps/yellow.png
A	src/.cvsignore
A	src/Makefile.am
A	src/baobab-graphwin.c
A	src/baobab-graphwin.h
A	src/baobab-prefs.c
A	src/baobab-prefs.h
A	src/baobab-remote-connect-dialog.c
A	src/baobab-remote-connect-dialog.h
A	src/baobab-scan.c
A	src/baobab-scan.h
A	src/baobab-tree-map.c
A	src/baobab-tree-map.h
A	src/baobab-treeview.c
A	src/baobab-treeview.h
A	src/baobab-utils.c
A	src/baobab-utils.h
A	src/baobab.c
A	src/baobab.h
A	src/callbacks.c
A	src/callbacks.h
